/*******************************************************************************
*	backup_ltp      (see manual, Command Ref., User Functions)	<fc>   *
*                                                                              *
*			Copies a map's files from default data path 1          *
*			to default data path 2 (from config.h).                *
*			VGA is exited before backup, as the UNIX tar and cpio  *
*			utilities both write to stdout.                        *
*                                                                              *
*			Returns zero upon normal execution, else return -1.    *
*******************************************************************************/

#include "../../incl/globals.h"
#include "../../incl/in.h"

long backup_ltp( sys_cmd )
	char *sys_cmd;
{
	long ret_code;

	append_msg("  Backup in progress...Please wait...");
	graphics_off();
	kb_reset();
	if( system_ltp(sys_cmd) )
		ret_code = -1;
	else
		ret_code = 0;
	graphics_on();
	kb_setup();
	append_msg("Backup completed.");
	return(ret_code);
}
