/*******************************************************************************
*	clear_mode	(see manual, Command Ref., User Function)	<fc>   *
*       		Clears the existing input mode, sets the mode type     *
*       		to 0.                                                  *
*                                                                              *
*           Globals changed:   none, but calls change_mode which does.         *
*           Returns long (0)                                                   *
*           J.Dabritz 8/13/89                                                  *
*******************************************************************************/

#include "../../incl/globals.h"
#include "../../incl/in.h"

long clear_mode()
{
		/**************** clear input mode (set to 0=none) ******/
	change_mode(0,0);

		/**************** return ********************************/
	return(0);
}
