/*******************************************************************************
*   crit_clear      (see manual, Command Ref., User Functions)  <fc>           *
*           Description:  Removes all current set selection criteria.          *
*                                                                              *
*			Parameters:  none                                                  *
*                                                                              *
*           Globals/files changed:  set_criteria[]                             *
*                                                                              *
*           Returns zero upon normal end-of-job (EOJ).                         *
*                   J.Dabritz,   1/10/89                                       *
*******************************************************************************/

#include <string.h>
#include "../../incl/globals.h"
#include "../../incl/in.h"


long crit_clear()
{
	long i;

		/***** set all set_criteria counters to 0 *****/
	for(i=0; i<30; i++)
		set_criteria[i] = 0;

	return(0);
}
