/*******************************************************************************
*     crit_newatr     (see manual, Command Ref., User Functions)      <fc>     *
*                                                                              *
*         Sets set selection criteria for objects with attributes which        *
*         are not in the attribute dictionary.                                 *
*                                                                              *
*         Parameters:     - none -                                             *
*                                                                              *
*         globals changed:  set_criteria[5]                                    *
*                                                                              *
*         Returns 0 upon normal execution, else                                *
*         returns -1 upon error.                                               *
*             J.Dabritz  1/10/90                                               *
*******************************************************************************/

#include "../../incl/globals.h"
#include "../../incl/in.h"


long crit_newatr( )
{
		/******************* check for map ***************************/
	if(!job_stats[0])
	{	message("Cannot build criteria untill a map is created or acquired.");
		return(1);
	}

		/******************* store parameter *************************/
	set_criteria[5] = 1;
	
		/******************* return **********************************/
	return(0);
}
