/*******************************************************************************
*	exit_ltp	(see manual, Command Ref, User Functions)	<fc>   *
*                                                                              *
*                       Exits LTPlus gracefully.  If n=0, exits without        *
*			saving current, active map.  If n=1, then saves        *
*			the current, active map prior to te exit action.       *
*           Returns a 1, always.                                              *
*           j.dabritz  5/31/89                                                *
*******************************************************************************/

#include "../../incl/globals.h"
#include "../../incl/in.h"
#include <string.h>


long exit_ltp( n )
	long n;
{

		/*   save map as indicated.  */
	if(n)
	{	strcpy(raw_buf,"save");
		fj();
	}

		/*   set flags to exit macro(s) & program    */
	exit_macro = 1;
	exit_program = 1;

		/*   close & remove temporary map file, free malloc space */
	remove_temp();

	return(1);
}




