/*******************************************************************************
*	fix_map		(see manual, Command Ref., User Function)	<fc>   *
*			This function reads through all of the raw data in a   *
*			map file, and checks it for internal consistancy,      *
*			eliminating that which is inconsistant, regenerating   *
*			that which is incorrect or missing but redundent.      *
*                                                                              *
*			The result is a consistant, working LTP map file which *
*			has saved as much good data as possible.               *
*                                                                              *
*			All map files and their related common (global)        *
*			variables may be changed.                              *
*******************************************************************************/

#include "../../incl/globals.h"
#include "../../incl/in.h"

fix_map()   /*  no parameters, works on the current map.                   */
{
}
