/*******************************************************************************
*	query		(see manual, Command Ref., User Function)	<fc>   *
*			Sets the graphic input mode to query for the specified *
*			object type.                                           *
*                                                                              *
*           Globals changed:   none, but calls change_mode which does.         *
*           Returns long (0)                                                   *
*           J.Dabritz 8/13/89                                                  *
*******************************************************************************/

#include "../../incl/globals.h"
#include "../../incl/in.h"

long query(otype)
long otype;  /*   object type:  0=node, 1=segment, 2=polygon     */
{
	long ot10;

		/**** check input parameter ***/
	ot10 = otype % 10;
	if((otype <0)  ||  (otype > 952) || ((otype>2) && (otype<320)) || (ot10 <0) || (ot10 > 2))
	{	message("Object type must be 0-2 on level 0 or 32-95.  no action taken.");
		return(1);
	}
	
		/*** set object type global for querry (& atrbt_dig) **/
	atrbt_otype = otype;

		/*** change mode ***/
	change_mode(13,0);
	
	return(0);
}
