/*******************************************************************************
*	area_plotM	(see manual, Command Ref., Function Manager)	<fm>   *
*                                                                              *
*			Either calls the area_plot function or writes the      *
*			area_plot command to a macro file.                     *
*                                                                              *
*			Calls parser to extract 3 required arguments from      *
*			rawrem:  list (maplist file name), dev (plotter        *
*			device type code) and ltypn (label type code).	       *
*			Three other optional arguments may also be extracted   *
*			from  rawrem: -s (implying a selective plot action),   *
*			sizen (label size in mils) and  pname (pen assignment  *
*			file, required for selective plotting).                *
*			The area_plotM function checks for the required        *
*			arguments and calls prompt to query the user for any   *
*			that are missing or invalid.  It also checks for       *
*			pname if the -s option is included, and calls prompt   *
*			if necessary.  If the -s variable is included,         *
*			area_plotM passes sel=1 to area_plot, else, sel=0.     *
*                                                                              *
*			Returns zero upon normal execution.                    *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long area_plotM(parameters)
char *parameters;
{
    append_msg("    << not implemented yet.");
 
    return(0);
}
