/*******************************************************************************
*	atrbt_editM	(see manual, Command Ref., Function Manager)	<fm>   *
*			Description:  Parses string parameter and checks       *
*			arguments for their presence and validity.             *
*			Parameters:  A string containing the function          *
*			arguments.  The following values are searched for:     *
*			arg1:  Object type code                                *
*									       *
*			Returns zero upon normal end-of-job (EOJ).             *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long atrbt_editM(parameters)
char *parameters;
{
	char answer[STRLIST];
	long set_no;

		/************** check & get first parameter (set number) ******/
	set_no = -1;
	trim(parameters);
	sscanf(parameters,"%ld",&set_no);
	
	if(set_no<0  ||  set_no>31)
	{	if(batch_mode)
			return(0);
		set_no = list_choice(level_names[0],32,202);
	}

		/************** execute attribute edit  **********************/
	if(!collecting_macro)
	{	if(atrbt_edit(set_no))
			return(0);
	}

		/************** build string **********************************/
	sprintf(raw_buf,"atrbt_edit  %d",set_no);
	
		/************** return ****************************************/
    return(1);
}
