/*******************************************************************************
*	connectM	(see manual, Command Ref., Function Manager)	<fm>   *
*			Function manager for the connect function.             *
*                                                                              *
*			Does not query for any input.  All parameters not      *
*			specified are defaulted.                               *
*                                                                              *
*			Calls function or writes command to macro being built  *
*           returns 1 for normal completion, 0 for failure.                    *
*                                                                              *
*******************************************************************************/
/* Modified 6/92 by DBS@CWU for X11 support.  See fc/connect_ltp. */
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long connectM(parameters)
char *parameters;
{
	long snap;

		/**************** check for snap mode **************************/
	if(strstr(parameters,"-s"))
		snap = 1;
	else
		snap = 0;

		/**************** start mode mode ******************************/
	if(!collecting_macro)
 	{	if(connect_ltp(snap))
			return(0);
	}

		/**************** write mode in raw buf ************************/
	if(snap)
		sprintf(raw_buf,"connect -s");
	else
		sprintf(raw_buf,"connect");

		/**************** return 1 *************************************/
    return(1);
}
