/*******************************************************************************
*      crit_astrgM      (see manual, Command Ref., Function Manager)    <fm>   *
*                                                                              *
*                  Either calls the appropriate function or writes the comand  *
*                  to the macro file.                                          *
*                                                                              *
*                  collects user input as needed.                              *
*                                                                              *
*                  Returns one  upon normal execution.                         *
*                  J.Dabritz   1/11/90                                         *
*******************************************************************************/
 
#include <string.h>
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long crit_astrgM(parameters)
char *parameters;
{
	char string[STRLIST];

	
		/************* check parameter 0 , set nubmer ******************/
	strncpy(string,parameters,95);
	trim(string);
	if(! *string)
	{	if(batch_mode)
			return(0);
		message(prompt[275]);
		get_string(string);
		trim(string);
		if(! *string)
			return(0);
	}
	
		/************* check parameter 1 , none ************************/
		/************* check parameter 2 , none ************************/
		/************* call function ***********************************/
	if(!collecting_macro)
	{	if(crit_astrg(string))
			return(0);
	}

		/************* write command line ******************************/
	sprintf(raw_buf,"crit_astrg  %s",string);

		/************* return ******************************************/
    return(1);
}
