/*******************************************************************************
*      crit_serialM     (see manual, Command Ref., Function Manager)    <fm>   *
*                                                                              *
*                  Either calls the appropriate function or writes the comand  *
*                  to the macro file.                                          *
*                                                                              *
*                  collects user input as needed.                              *
*                                                                              *
*                  Returns one  upon normal execution.                         *
*                  J.Dabritz   1/11/90                                         *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long crit_serialM(parameters)
char *parameters;
{
	char parsed[3][STRLIST];

	long s1, s2;
	long promptem;


		/************* break up parameters *****************************/
	parse(trim(parameters),delim_buf,parsed,3);

		/************** initialize promptem flag **********************/
	promptem = 0;  /* set to 1 if & when prompting is necessary */

		/************* check parameter 0 , min serial number ***********/
	if(get_long(parsed[0],&s1,&promptem,282,0,999999999))
		return(0);

		/************* check parameter 1 , max serial number ***********/
	if(get_long(parsed[1],&s2,&promptem,283,0,999999999))
		return(0);

		/************* check parameter 2 , none ************************/
		/************* call function ***********************************/
	if(!collecting_macro)
	{	if(crit_serial(s1,s2))
			return(0);
	}

		/************* write command line ******************************/
	sprintf(raw_buf,"crit_serial  %d  %d",s1,s2);

		/************* return ******************************************/
    return(1);
}
