/*******************************************************************************
*      disprstr_geM    (see manual, Command Ref., Function Manager)     <fm>   *
*           Function manager for the disprstr_get command.                     *
*           Parameters:  None                                                  *
*                                                                              *
*           Returns one upon normal termination, 0 otherwise                   *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/fc.h"
#include "../../incl/in.h"
#include <string.h>
 
long disprstr_geM(parameters)
char *parameters;
{
	long rasterb;
	
	char list[4][STRLIST];


		/*************** load list **************************************/
	sprintf(list[0],"none, thank you very much but I have a wrong number.");
	sprintf(list[1],"The inimitible, if worn, editable rascal raster.");
	sprintf(list[2],"The original scanned raster FOR VIEWING ONLY, I still want the editable one.");
	sprintf(list[3],"The original scanned raster, TO REPLACE the lousy edited one when I save!");

		/*************** find out which raster is wanted ****************/
	trim(lowerc(parameters));
	rasterb = -1;
	parameters[1] = (char) 0;
	if(*parameters)
	{	if(*parameters == 'b')
			rasterb = 1;
		else if(*parameters == 'c')
			rasterb = 2;
		else if(*parameters == 'a')
			rasterb = 0;
	}

		/*************** first, check for presence of rasterb ***********/
	if((rasterb == -1) && (!batch_mode))
	{	if(israsterb())
			rasterb = list_choice(list[0],4,354) - 1;
		else
			rasterb = 0;
	}

	if(rasterb < 0) 
		return(0);
	
		/*************** call function **********************************/
	if(!collecting_macro)
	{	if(disprstr_get(rasterb,1))
			return(0);
	}

		/*************** write command string ***************************/
	*parameters = 'a' + rasterb;
	parameters[1] = (char) 0;
	sprintf(raw_buf,"disprstr_get  %s",parameters);

		/*************** return *****************************************/
	return(1);
}
