/*******************************************************************************
*	marginM		(see manual, Command Ref., Function Manager)	<fm>   *
*			Function manager for the margin function.              *
*			Queries for user input if necessary.                   *
*                                                                              *
*			Calls function or writes command to macro being built  *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long marginM(parameters)
char *parameters;
{
	long promptem;
	long w;



	promptem = 0;  /* set to 1 if & when prompting is necessary */

		/***** parameter 0, elevation sensitivity factor **************/
	trim(parameters);
	if(get_long(parameters,&w,&promptem,32,0,10000))
		return(0);


		/****** call margin program ***********************************/
	if(!collecting_macro)
	{	if(margin(w))
			return(0);
	}

		/****** write command line ************************************/
	sprintf(raw_buf,"margin  %d",w);
	
		/************** return ****************************************/
    return(1);
}
