/*******************************************************************************
*	separateM	(see manual, Command Ref., Function Manager)	<fm>   *
*			Function manager for the separate function.            *
*                                                                              *
*			Does not query for any input.                          *
*                                                                              *
*			Calls function or writes command to macro being built  *
*			Returns 1 on normal completion, 0 on failure.                      *
*			J.Dabritz  8/13/89                                                 *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long separateM(parameters)
char *parameters;
{
		/************ start separate mode *****************************/
	if(!collecting_macro)
	{	if(separate())
			return(0);
	}

		/************ build string ************************************/
	sprintf(raw_buf,"separate");

		/************ return ******************************************/
	return(1);
}
