/*******************************************************************************
*       append_msg      (see manual, Internal Functions)                <in>   *
*		   	Prints the passed string  on the lower (message)       *
*           portion of the screen, after the existing string.                  *
*		   	                                             	       *
*		   	No global variables or files modified.       	       *
*                                                                              *
*			Returns zero upon normal end-of-job (EOJ).             *
*                      j.dabritz  5/23/89                                      *
*******************************************************************************/

#include <string.h>
#include "../../incl/globals.h"

long  bar_off();
long  disptext();	/* (long row,col, char *string) 		*/
long  swplane();	/* (long planenum)				*/

long append_msg( string )
	char *string;
{	
	long i;

	swplane(3);

		/*  add string to buffer                    */
	strncat(text_buf[t4_indx], string, STRLIST - 1);
	text_buf[t4_indx][STRLIST-1] = 0;    /* append a null */

		/*  print last 3 lines of text_buf buffer   */
	if(batch_mode || !graphics_flag)
		printf("\napp_msg:  %s\n",string);
	else
	{	swplane(0);
		i = (t4_indx+126+2)&127;
		bar_off(0, 448, 639, 463);
		disptext(28, 0, text_buf[i]);
	}
	
	return (long) 0;
}
