/*******************************************************************************
*       box_off         (see manual, Internal Functions)                <in>   *

     Purpose:	Erases a rectangular box within limits windowxmin, 
		windowxmax, windowymin, windowymax inclusive.

     Arguments:	long x1,y1,x2,y2;     limits of box       

     Returned Values: (long) 0

     Global Variables Modified:   - none -

*                      j.dabritz  3/7/89 - 5/8/89                              *
*******************************************************************************/

long line_off();

long box_off(x1,y1,x2,y2)
long x1,y1,x2,y2;
{ 	line_off(x1,y1,x2,y1);
	line_off(x1,y2,x2,y2);
	line_off(x1,y1,x1,y2);
	line_off(x2,y1,x2,y2);

	return (long) 0;
}
