/*******************************************************************************
*       close_files     (see manual, Internal Functions)                <in>   *
*			Closes all global file descriptors                     *
*                                                                              *
*			Returns zero upon normal end-of-job (EOJ).             *
*                      j.dabritz  5/31/89                                      *
*******************************************************************************/

#include "../../incl/globals.h"

long close_files()
{	
 
	if(objects_fd >= 0)
	{	closef(objects_fd);
		objects_fd = -1;
	}
 
	if(coord_list_fd >= 0)
	{	closef(coord_list_fd);
		coord_list_fd = -1;
	}
 
	if(seg_list_fd >= 0)
	{	closef(seg_list_fd);
		seg_list_fd = -1;
	}
 
	if(attributes_fd >= 0)
	{	closef(attributes_fd);
		attributes_fd = -1;
	}
 
	if(errors_fd >= 0)
	{	closef(errors_fd);
		errors_fd = -1;
	}
 
	if(index_list_fd >= 0)
	{	closef(index_list_fd);
		index_list_fd = -1;
	}
 
	if(v_attributes_fd >= 0)
	{	closef(v_attributes_fd);
		v_attributes_fd = -1;
	}
 
	if(v_objects_fd >= 0)
	{	closef(v_objects_fd);
		v_objects_fd = -1;
	}
 
	if(v_coordlist_fd >= 0)
	{	closef(v_coordlist_fd);
		v_coordlist_fd = -1;
	}
 
	return(0);
}
