/*******************************************************************************
*	compare 	(see manual, Internal Functions)            	<in>   *
*	      		Holds comparison functions used for calls              *
*			to qsort.                                              *
*			Parameters:  2 pointers to the objects to compare      *
*			Globals Modified:  none                                *
*			Returns 0 if a = b, -1 if a < b, 1 if a > b            *
*                                                                              *
*                       JPD 7/19/89                                            *
*******************************************************************************/

int compare_l(ptr1,ptr2)
long *ptr1, *ptr2;
{
	if(*ptr1 < *ptr2)
		return(-1);
	if(*ptr1 > *ptr2)
		return(1);
	return(0);
}

int compare_f(ptr1,ptr2)
float *ptr1, *ptr2;
{
	if(*ptr1 < *ptr2)
		return(-1);
	if(*ptr1 > *ptr2)
		return(1);
	return(0);
}

int compare_d(ptr1,ptr2)
double *ptr1, *ptr2;
{
	if(*ptr1 < *ptr2)
		return(-1);
	if(*ptr1 > *ptr2)
		return(1);
	return(0);
}

int compare_c(ptr1,ptr2)
char *ptr1, *ptr2;
{
	if(*ptr1 < *ptr2)
		return(-1);
	if(*ptr1 > *ptr2)
		return(1);
	return(0);
}

#include <string.h>

int compare_s(ptr1,ptr2)
char *ptr1, *ptr2;
{
	return(strcmp(ptr1,ptr2));
}
