/*******************************************************************************
*                                                                              *
*			Globals Modified:    none                              *
*                                                                              *
*			Returns 0                                              *
*			J.Dabritz  10/17/89                                    *
*******************************************************************************/
/* Modified 6/92 by DBS@CWU for X11 support */

#include <stdio.h>
#include <sys/ioctl.h>
#include <string.h>
#include "../../incl/globals.h"
#ifdef LTP_X11
#include "../../incl/x11.h"
#endif

char *trim();  
char *get_string();

long dig_debug()
{	/*  Automatics  */

	char string[1610];          /*  for input & input manipulation */
	char disp_str[256];
	char *ptr, *endptr;
	long bytes,j, i, row;
	long save_dctype;
	long save_cmode;
	long save_cx, save_cy;

		/** read 1600 characters of input (or 10000 trys)  **/
	ptr = string;
	bytes = 0;
	for( i=0;   (i<10000)  &&  (bytes < 1600) ;    i++, ptr = string + bytes)
	{	if(!(i % 1000))
		{	sleep(1);
			message("patience is a virtue.");
		}
		j = 1600 - bytes;
		bytes += readb(ptr,j,1,fd_ginput);
	}
	sprintf(disp_str,"bytes read:  %d",bytes);
	message(disp_str);

		/** display on screen **/


		/*   check to see if grahpics are being used.  */
	if(batch_mode)
		return 0;

		/*    save graphics for redisplay later & clear screen   */
	save_dctype = disp_coord_type;
	disp_coord_type = -1;         /*  no coord display  */
	save_cmode = cursor_mode;
	cursor_mode = 0;        /* cross hair  */
	save_cx = ginfo.scoord[0];
	save_cy = ginfo.scoord[1];

	cursor(-200, -200);            /*  take cursor off screen  */
	for(i=0; i<4; i++)

	{	swplane(i);
#ifndef LTP_X11
		bitmap(BITPLN_WIDTH,415,BITPLN_WIDTH,BITPLN_WIDTH,vga_plane,scratch_pad[i]);
#else
                bitmap4x(WIDTH,415,0,0,xmainwin,0,0,xmainpix);
#endif
		bar_off(0,0,639,414);
	}

		/*    loop through list displays on screen  */
	endptr = string + bytes;
	row = bytes / 80;
	for( ;  row >= 0 ; row--)
	{	ptr = string + 80 * row;
		*endptr = 0;
		disptext(row,0,ptr);
		endptr = ptr;
	}

		/*  display message below to go back to normal input */ 
	disptext(25,0,"Press [RETURN] to return to normal input.");
	get_string(string);


		/*   reset screen     */
	for(i=0; i<4; i++)
	{	swplane(i);
#ifndef LTP_X11
		bitmap(BITPLN_WIDTH,415,BITPLN_WIDTH,BITPLN_WIDTH,scratch_pad[i],vga_plane);
#else
                bitmap4x(WIDTH,415,0,0,xmainpix,0,0,xmainwin);
#endif
	}
	disp_coord_type = save_dctype;
	cursor_mode = save_cmode;
	cursor(ginfo.scoord[0], ginfo.scoord[1]);

		/*   return           */
	return(0);

}
