/*******************************************************************************
*       disp_menuset    (see manual, Internal Functions)                <in>   *
*                       This program displays the currently loaded menuset     *
*                       on the screen.  menu0 functions are displayed.         *
*                                                                              *
*                       No variables or files are changed.                     *
*                                                                              *
*                       Returns zero upon normal end-of-job (EOJ).             *
*                      j.dabritz  3/7/89 - 5/8/89                              *
*******************************************************************************/
#include <string.h>
#include "../../incl/globals.h"  /*  <stdio.h> & all LTP defines & globals  */
#include "../../incl/in.h"  /*  <stdio.h> & all LTP defines & globals  */

long disp_menuset()
{
	long i;
	char name[STRLIST];

		/*  check for full screen graphics      */
	if(!windowxmin)
	{	disp_menu(0);
		return(0);
	}

		/*  clear off old menu items     */
	swplane(2);
	bar_off(120,0,215,95);   /*   permanent menu items     */

	bar_off(0,112,95,174);   /*   menu names */
	bar_off(0,177,95,238);
	bar_off(0,241,95,302);
	bar_off(0,305,95,366);
	bar_off(0,369,95,414);

	bar_off(120,112,215,174);  /* menu items/functions */
	bar_off(120,177,215,238);
	bar_off(120,241,215,302);
	bar_off(120,305,215,366);
	bar_off(120,369,215,414);

	swplane(3);
	bar_off(0,414,215,112);  /*   menu names & menu items  */
	bar_off(120,0,215,95);   /*   permanent menu items     */

		/*  place new menu names in left block  */
	for(i=0; i<MENUS; i++)
	{	strncpy(name,menu_name[i],12);
		name[12] = 0;           /*  set to NULL  */
		disptext((7+i),0,name);
	}
	
		/* display the permanent menu functions  */
	for(i=0; i < 6	; i++)
	{	strncpy(name,perm_item[i],12);
		name[12] = 0;           /*  set to NULL  */
		disptext((i),15,name);
	}
	swplane(2);
	for(i=0; i < 6	; i++)
	{	strncpy(name,perm_item[i],12);
		name[12] = 0;           /*  set to NULL  */
		disptext((i),15,name);
	}

		/* display the top menu of the set   */
	disp_menu(0);

	return (long) 0; 
}
