/*******************************************************************************
*      dollar_convt  (see manual, Internal Functions)                   <in>   *
*                                                                              *
*           This program looks at a string and converts all occurrances        *
*         of all special $xxx substrings within that string.                   *
*                                                                              *
*         Parameters:        string                                            *
*                                                                              *
*         Globals Modified:  none                                              *
*                                                                              *
*         Returns zero upon normal end-of-job (EOJ).                           *
*         J. Dabritz   2/16/90                                                 *
*******************************************************************************/
#include <string.h>
#include "../../incl/globals.h"


long dollar_cnvt(string)
char *string;
{
	char string2[256];
	char *ptr;
	

	string[strlen(string) + 1] = (char) 0;

	ptr = (char *) strstr(string,"$config.");
	if(ptr != (char *) 0)
	{	for(;;)                  /***** check for $config.prtr_adr ***/
		{	ptr = (char *) strstr(string,"$config.prtr_adr");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 16;
			sprintf(string2,"%s%s%s",string,config.prtr_adr,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.prtr_type ***/
		{	ptr = (char *) strstr(string,"$config.prtr_type");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 17;
			sprintf(string2,"%s%s%s",string,config.prtr_type,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.crt_adr ***/
		{	ptr = (char *) strstr(string,"$config.crt_adr");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 15;
			sprintf(string2,"%s%s%s",string,config.crt_adr,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.crt_type ***/
		{	ptr = (char *) strstr(string,"$config.crt_type");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 16;
			sprintf(string2,"%s%s%s",string,config.crt_type,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.bkup11 ***/
		{	ptr = (char *) strstr(string,"$config.bkup11");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 14;
			sprintf(string2,"%s%s%s",string,config.bkup11,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.bkup12 ***/
		{	ptr = (char *) strstr(string,"$config.bkup12");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 14;
			sprintf(string2,"%s%s%s",string,config.bkup12,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.bkup21 ***/
		{	ptr = (char *) strstr(string,"$config.bkup21");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 14;
			sprintf(string2,"%s%s%s",string,config.bkup21,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.bkup22 ***/
		{	ptr = (char *) strstr(string,"$config.bkup22");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 14;
			sprintf(string2,"%s%s%s",string,config.bkup22,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.print1 ***/
		{	ptr = (char *) strstr(string,"$config.print1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 14;
			sprintf(string2,"%s%s%s",string,config.print1,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.print2 ***/
		{	ptr = (char *) strstr(string,"$config.print2");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 14;
			sprintf(string2,"%s%s%s",string,config.print2,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.edit1 ***/
		{	ptr = (char *) strstr(string,"$config.edit1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,config.edit1,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.edit2 ***/
		{	ptr = (char *) strstr(string,"$config.edit2");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,config.edit2,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.cursor_file ***/
		{	ptr = (char *) strstr(string,"$config.cursor_file");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 19;
			sprintf(string2,"%s%s%s",string,config.cursor_file,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.mouse_adr ***/
		{	ptr = (char *) strstr(string,"$config.mouse_adr");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 17;
			sprintf(string2,"%s%s%s",string,config.mouse_adr,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.mouse_type ***/
		{	ptr = (char *) strstr(string,"$config.mouse_type");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 18;
			sprintf(string2,"%s%s%s",string,config.mouse_type,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.dig1_adr ***/
		{	ptr = (char *) strstr(string,"$config.dig1_adr");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 16;
			sprintf(string2,"%s%s%s",string,config.dig1_adr,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.dig1_type ***/
		{	ptr = (char *) strstr(string,"$config.dig1_type");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 17;
			sprintf(string2,"%s%s%s",string,config.dig1_type,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.dig2_adr ***/
		{	ptr = (char *) strstr(string,"$config.dig2_adr");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 16;
			sprintf(string2,"%s%s%s",string,config.dig2_adr,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.dig2_type ***/
		{	ptr = (char *) strstr(string,"$config.dig2_type");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 17;
			sprintf(string2,"%s%s%s",string,config.dig2_type,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.plt1_adr ***/
		{	ptr = (char *) strstr(string,"$config.plt1_adr");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 16;
			sprintf(string2,"%s%s%s",string,config.plt1_adr,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.plt1_type ***/
		{	ptr = (char *) strstr(string,"$config.plt1_type");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 17;
			sprintf(string2,"%s%s%s",string,config.plt1_type,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.plt2_adr ***/
		{	ptr = (char *) strstr(string,"$config.plt2_adr");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 16;
			sprintf(string2,"%s%s%s",string,config.plt2_adr,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.plt2_type ***/
		{	ptr = (char *) strstr(string,"$config.plt2_type");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 17;
			sprintf(string2,"%s%s%s",string,config.plt2_type,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.maps_path ***/
		{	ptr = (char *) strstr(string,"$config.maps_path");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 17;
			sprintf(string2,"%s%s%s",string,config.maps_path,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.bkup_path ***/
		{	ptr = (char *) strstr(string,"$config.bkup_path");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 17;
			sprintf(string2,"%s%s%s",string,config.bkup_path,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.data3_path ***/
		{	ptr = (char *) strstr(string,"$config.data3_path");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 18;
			sprintf(string2,"%s%s%s",string,config.data3_path,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.data4_path ***/
		{	ptr = (char *) strstr(string,"$config.data4_path");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 18;
			sprintf(string2,"%s%s%s",string,config.data4_path,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.export_path ***/
		{	ptr = (char *) strstr(string,"$config.export_path");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 19;
			sprintf(string2,"%s%s%s",string,config.export_path,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.import_path ***/
		{	ptr = (char *) strstr(string,"$config.import_path");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 19;
			sprintf(string2,"%s%s%s",string,config.import_path,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.malloc ***/
		{	ptr = (char *) strstr(string,"$config.malloc");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 14;
			sprintf(string2,"%s%s%s",string,config.malloc,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.menuset ***/
		{	ptr = (char *) strstr(string,"$config.menuset");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 15;
			sprintf(string2,"%s%s%s",string,config.menuset,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.ginput ***/
		{	ptr = (char *) strstr(string,"$config.ginput");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 14;
			sprintf(string2,"%s%s%s",string,config.ginput,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.rasterh ***/
		{	ptr = (char *) strstr(string,"$config.rasterh");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 15;
			sprintf(string2,"%s%s%s",string,config.rasterh,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.rasterw ***/
		{	ptr = (char *) strstr(string,"$config.rasterw");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 15;
			sprintf(string2,"%s%s%s",string,config.rasterw,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.pen0 ***/
		{	ptr = (char *) strstr(string,"$config.pen0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 12;
			sprintf(string2,"%s%s%s",string,config.pen0,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.pen1 ***/
		{	ptr = (char *) strstr(string,"$config.pen1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 12;
			sprintf(string2,"%s%s%s",string,config.pen1,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.pen2 ***/
		{	ptr = (char *) strstr(string,"$config.pen2");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 12;
			sprintf(string2,"%s%s%s",string,config.pen2,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.pen3 ***/
		{	ptr = (char *) strstr(string,"$config.pen3");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 12;
			sprintf(string2,"%s%s%s",string,config.pen3,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.pen4 ***/
		{	ptr = (char *) strstr(string,"$config.pen4");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 12;
			sprintf(string2,"%s%s%s",string,config.pen4,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.pen5 ***/
		{	ptr = (char *) strstr(string,"$config.pen5");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 12;
			sprintf(string2,"%s%s%s",string,config.pen5,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.pen6 ***/
		{	ptr = (char *) strstr(string,"$config.pen6");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 12;
			sprintf(string2,"%s%s%s",string,config.pen6,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.pen7 ***/
		{	ptr = (char *) strstr(string,"$config.pen7");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 12;
			sprintf(string2,"%s%s%s",string,config.pen7,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.pen8 ***/
		{	ptr = (char *) strstr(string,"$config.pen8");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 12;
			sprintf(string2,"%s%s%s",string,config.pen8,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.tile1 ***/
		{	ptr = (char *) strstr(string,"$config.tile1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,config.tile1,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.tile2 ***/
		{	ptr = (char *) strstr(string,"$config.tile2");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,config.tile2,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.tile3 ***/
		{	ptr = (char *) strstr(string,"$config.tile3");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,config.tile3,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.tile4 ***/
		{	ptr = (char *) strstr(string,"$config.tile4");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,config.tile4,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.tile5 ***/
		{	ptr = (char *) strstr(string,"$config.tile5");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,config.tile5,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.tile6 ***/
		{	ptr = (char *) strstr(string,"$config.tile6");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,config.tile6,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.tile7 ***/
		{	ptr = (char *) strstr(string,"$config.tile7");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,config.tile7,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.tile8 ***/
		{	ptr = (char *) strstr(string,"$config.tile8");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,config.tile8,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.tile9 ***/
		{	ptr = (char *) strstr(string,"$config.tile9");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,config.tile9,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.tile10 ***/
		{	ptr = (char *) strstr(string,"$config.tile10");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 14;
			sprintf(string2,"%s%s%s",string,config.tile10,ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $config.tile11 ***/
		{	ptr = (char *) strstr(string,"$config.tile11");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 14;
			sprintf(string2,"%s%s%s",string,config.tile11,ptr);
			strcpy(string,string2);
		}
	}






		/*** the rest of the variables require a map to be loaded. **/

	if(!job_stats[0])
		return(0);



	ptr = (char *) strstr(string,"$header.");
	if(ptr != (char *) 0)
	{	for(;;)                  /***** check for $header.comments ***/
		{	ptr = (char *) strstr(string,"$header.comments");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 16;
			sprintf(string2,"%s%s%s",string,header.comments,ptr);
			strcpy(string,string2);
		}

		for(;;)                  /***** check for $header.compress ***/
		{	ptr = (char *) strstr(string,"$header.compress");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 16;
			sprintf(string2,"%s%s%s",string,header.compress,ptr);
			strcpy(string,string2);
		}

		for(;;)                  /***** check for $header.contour_interval ***/
		{	ptr = (char *) strstr(string,"$header.contour_interval");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 24;
			sprintf(string2,"%s%s%s",string,header.contour_interval,ptr);
			strcpy(string,string2);
		}

		for(;;)                  /***** check for $header.datum ***/
		{	ptr = (char *) strstr(string,"$header.datum");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,header.datum,ptr);
			strcpy(string,string2);
		}

		for(;;)                  /***** check for $header.dictionary ***/
		{	ptr = (char *) strstr(string,"$header.dictionary");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 18;
			sprintf(string2,"%s%s%s",string,header.dictionary,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.edgematch ***/
		{	ptr = (char *) strstr(string,"$header.edgematch");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 17;
			sprintf(string2,"%s%s%s",string,header.edgematch,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.edge_e ***/
		{	ptr = (char *) strstr(string,"$header.edge_e");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 14;
			sprintf(string2,"%s%s%s",string,header.edge_e,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.edge_n ***/
		{	ptr = (char *) strstr(string,"$header.edge_n");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 14;
			sprintf(string2,"%s%s%s",string,header.edge_n,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.edge_s ***/
		{	ptr = (char *) strstr(string,"$header.edge_s");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 14;
			sprintf(string2,"%s%s%s",string,header.edge_s,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.edge_w ***/
		{	ptr = (char *) strstr(string,"$header.edge_w");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 14;
			sprintf(string2,"%s%s%s",string,header.edge_w,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.head1 ***/
		{	ptr = (char *) strstr(string,"$header.head1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,header.head1,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.head2 ***/
		{	ptr = (char *) strstr(string,"$header.head2");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,header.head2,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.layer_name ***/
		{	ptr = (char *) strstr(string,"$header.layer_name");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 18;
			sprintf(string2,"%s%s%s",string,header.layer_name,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.map_ht ***/
		{	ptr = (char *) strstr(string,"$header.map_ht");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 14;
			sprintf(string2,"%s%s%s",string,header.map_ht,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.map_wd ***/
		{	ptr = (char *) strstr(string,"$header.map_wd");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 14;
			sprintf(string2,"%s%s%s",string,header.map_wd,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.maptype ***/
		{	ptr = (char *) strstr(string,"$header.maptype");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 15;
			sprintf(string2,"%s%s%s",string,header.maptype,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.menu_set ***/
		{	ptr = (char *) strstr(string,"$header.menu_set");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 16;
			sprintf(string2,"%s%s%s",string,header.menu_set,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.org ***/
		{	ptr = (char *) strstr(string,"$header.org");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 11;
			sprintf(string2,"%s%s%s",string,header.org,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.quad_unit ***/
		{	ptr = (char *) strstr(string,"$header.quad_unit");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 17;
			sprintf(string2,"%s%s%s",string,header.quad_unit,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.revision_yr ***/
		{	ptr = (char *) strstr(string,"$header.revision_yr");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 19;
			sprintf(string2,"%s%s%s",string,header.revision_yr,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.scale ***/
		{	ptr = (char *) strstr(string,"$header.scale");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,header.scale,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.search_rad ***/
		{	ptr = (char *) strstr(string,"$header.search_rad");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 18;
			sprintf(string2,"%s%s%s",string,header.search_rad,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.source_yr ***/
		{	ptr = (char *) strstr(string,"$header.source_yr");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 17;
			sprintf(string2,"%s%s%s",string,header.source_yr,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.state ***/
		{	ptr = (char *) strstr(string,"$header.state");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,header.state,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.stplzn ***/
		{	ptr = (char *) strstr(string,"$header.stplzn");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 14;
			sprintf(string2,"%s%s%s",string,header.stplzn,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.template1 ***/
		{	ptr = (char *) strstr(string,"$header.template1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 17;
			sprintf(string2,"%s%s%s",string,header.template1,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.template2 ***/
		{	ptr = (char *) strstr(string,"$header.template2");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 17;
			sprintf(string2,"%s%s%s",string,header.template2,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.template3 ***/
		{	ptr = (char *) strstr(string,"$header.template3");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 17;
			sprintf(string2,"%s%s%s",string,header.template3,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.udrn ***/
		{	ptr = (char *) strstr(string,"$header.udrn");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 12;
			sprintf(string2,"%s%s%s",string,header.udrn,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.utmln ***/
		{	ptr = (char *) strstr(string,"$header.utmln");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,header.utmln,ptr);
			strcpy(string,string2);
		}
	
		for(;;)                  /***** check for $header.utmlt ***/
		{	ptr = (char *) strstr(string,"$header.utmlt");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 13;
			sprintf(string2,"%s%s%s",string,header.utmlt,ptr);
			strcpy(string,string2);
		}
	}
	
	for(;;)                  /***** check for $map_name ***/
	{	ptr = (char *) strstr(string,"$map_name");
		if(ptr == (char *) 0)
		break;
		*ptr = (char) 0;
		ptr += 9;
		sprintf(string2,"%s%s%s",string,map_name,ptr);
		strcpy(string,string2);
	}

	


		/******* now check for $cnrXXX (register corners) strings *****/
	ptr = (char *) strstr(string,"$cnr");
	if(ptr != (char *) 0)
	{
			/** ------------------- corner[0][][] ---------------------- **/
		for(;;)                  /***** check for $cnr0.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr0.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[0][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr0.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr0.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[0][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr0.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr0.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[0][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr0.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr0.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[0][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr0.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr0.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[0][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr0.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr0.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[0][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr0.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr0.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[0][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr0.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr0.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[0][3][1],ptr);
			strcpy(string,string2);
		}

		/** ------------------- corner[1. ---------------------- **/
		for(;;)                  /***** check for $cnr1.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr1.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[1][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr1.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr1.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[1][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr1.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr1.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[1][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr1.1][1 ***/
		{	ptr = (char *) strstr(string,"$cnr1.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[1][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr1.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr1.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[1][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr1.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr1.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[1][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr1.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr1.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[1][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr1.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr1.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[1][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[2][][] ---------------------- **/
		for(;;)                  /***** check for $cnr2.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr2.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[2][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr2.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr2.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[2][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr2.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr2.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[2][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr2.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr2.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[2][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr2.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr2.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[2][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr2.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr2.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[2][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr2.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr2.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[2][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr2.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr2.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[2][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[3. ---------------------- **/
		for(;;)                  /***** check for $cnr3.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr3.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[3][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr3.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr3.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[3][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr3.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr3.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[3][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr3.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr3.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[3][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr3.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr3.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[3][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr3.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr3.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[3][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr3.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr3.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[3][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr3.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr3.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[3][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[4][][] ---------------------- **/
		for(;;)                  /***** check for $cnr4.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr4.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[4][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr4.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr4.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[4][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr4.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr4.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[4][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr4.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr4.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[4][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr4.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr4.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[4][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr4.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr4.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[4][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr4.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr4.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[4][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr4.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr4.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[4][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[5][][] ---------------------- **/
		for(;;)                  /***** check for $cnr5.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr5.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[5][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr5.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr5.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[5][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr5.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr5.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[5][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr5.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr5.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[5][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr5.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr5.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[5][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr5.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr5.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[5][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr5.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr5.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[5][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr5.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr5.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[5][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[6][][] ---------------------- **/
		for(;;)                  /***** check for $cnr6.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr6.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[6][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr6.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr6.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[6][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr6.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr6.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[6][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr6.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr6.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[6][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr6.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr6.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[6][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr6.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr6.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[6][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr6.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr6.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[6][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr6.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr6.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[6][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[7. ---------------------- **/
		for(;;)                  /***** check for $cnr7.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr7.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[7][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr7.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr7.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[7][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr7.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr7.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[7][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr7.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr7.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[7][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr7.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr7.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[7][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr7.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr7.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[7][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr7.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr7.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[7][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr7.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr7.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[7][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[8][][] ---------------------- **/
		for(;;)                  /***** check for $cnr8.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr8.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[8][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr8.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr8.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[8][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr8.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr8.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[8][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr8.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr8.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[8][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr8.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr8.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[8][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr8.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr8.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[8][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr8.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr8.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[8][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr8.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr8.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[8][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[9][][] ---------------------- **/
		for(;;)                  /***** check for $cnr9.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr9.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[9][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr9.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr9.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[9][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr9.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr9.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[9][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr9.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr9.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[9][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr9.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr9.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[9][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr9.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr9.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[9][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr9.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr9.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[9][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr9.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr9.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 9;
			sprintf(string2,"%s%f%s",string,corner[9][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[10][][] ---------------------- **/
		for(;;)                  /***** check for $cnr10.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr10.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[10][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr10.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr10.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[10][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr10.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr10.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[10][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr10.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr10.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[10][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr10.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr10.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[10][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr10.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr10.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[10][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr10.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr10.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[10][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr10.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr10.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[10][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[11. ---------------------- **/
		for(;;)                  /***** check for $cnr11.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr11.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[11][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr11.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr11.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[11][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr11.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr11.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[11][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr11.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr11.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[11][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr11.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr11.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[11][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr11.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr11.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[11][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr11.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr11.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[11][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr11.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr11.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[11][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[12. ---------------------- **/
		for(;;)                  /***** check for $cnr12.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr12.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[12][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr12.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr12.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[12][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr12.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr12.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[12][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr12.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr12.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[12][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr12.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr12.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[12][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr12.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr12.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[12][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr12.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr12.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[12][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr12.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr12.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[12][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[13][][] ---------------------- **/
		for(;;)                  /***** check for $cnr13.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr13.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[13][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr13.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr13.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[13][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr13.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr13.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[13][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr13.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr13.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[13][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr13.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr13.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[13][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr13.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr13.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[13][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr13.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr13.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[13][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr13.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr13.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[13][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[14][][] ---------------------- **/
		for(;;)                  /***** check for $cnr14.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr14.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[14][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr14.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr14.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[14][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr14.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr14.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[14][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr14.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr14.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[14][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr14.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr14.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[14][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr14.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr14.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[14][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr14.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr14.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[14][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr14.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr14.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[14][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[15. ---------------------- **/
		for(;;)                  /***** check for $cnr15.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr15.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[15][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr15.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr15.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[15][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr15.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr15.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[15][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr15.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr15.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[15][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr15.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr15.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[15][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr15.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr15.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[15][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr15.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr15.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[15][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr15.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr15.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[15][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[16. ---------------------- **/
		for(;;)                  /***** check for $cnr16.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr16.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[16][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr16.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr16.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[16][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr16.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr16.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[16][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr16.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr16.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[16][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr16.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr16.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[16][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr16.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr16.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[16][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr16.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr16.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[16][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr16.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr16.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[16][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[17. ---------------------- **/
		for(;;)                  /***** check for $cnr17.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr17.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[17][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr17.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr17.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[17][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr17.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr17.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[17][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr17.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr17.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[17][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr17.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr17.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[17][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr17.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr17.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[17][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr17.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr17.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[17][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr17.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr17.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[17][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[18. ---------------------- **/
		for(;;)                  /***** check for $cnr18.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr18.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[18][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr18.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr18.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[18][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr18.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr18.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[18][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr18.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr18.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[18][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr18.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr18.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[18][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr18.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr18.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[18][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr18.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr18.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[18][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr18.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr18.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[18][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[111][][] ---------------------- **/
		for(;;)                  /***** check for $cnr19.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr19.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[19][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr19.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr19.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[19][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr19.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr19.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[19][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr19.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr19.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[19][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr19.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr19.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[19][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr19.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr19.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[19][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr19.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr19.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[19][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr19.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr19.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[19][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[20][][] ---------------------- **/
		for(;;)                  /***** check for $cnr20.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr20.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[20][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr20.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr20.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[20][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr20.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr20.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[20][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr20.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr20.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[20][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr20.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr20.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[20][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr20.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr20.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[20][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr20.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr20.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[20][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr20.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr20.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[20][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[21][][] ---------------------- **/
		for(;;)                  /***** check for $cnr21.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr21.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[21][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr21.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr21.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[21][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr21.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr21.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[21][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr21.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr21.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[21][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr21.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr21.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[21][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr21.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr21.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[21][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr21.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr21.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[21][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr21.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr21.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[21][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[22. ---------------------- **/
		for(;;)                  /***** check for $cnr22.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr22.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[22][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr22.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr22.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[22][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr22.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr22.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[22][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr22.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr22.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[22][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr22.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr22.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[22][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr22.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr22.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[22][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr22.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr22.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[22][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr22.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr22.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[22][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[23][][] ---------------------- **/
		for(;;)                  /***** check for $cnr23.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr23.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[23][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr23.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr23.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[23][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr23.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr23.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[23][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr23.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr23.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[23][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr23.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr23.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[23][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr23.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr23.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[23][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr23.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr23.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[23][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr23.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr23.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[23][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[24. ---------------------- **/
		for(;;)                  /***** check for $cnr24.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr24.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[24][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr24.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr24.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[24][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr24.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr24.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[24][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr24.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr24.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[24][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr24.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr24.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[24][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr24.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr24.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[24][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr24.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr24.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[24][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr24.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr24.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[24][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[25. ---------------------- **/
		for(;;)                  /***** check for $cnr25.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr25.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[25][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr25.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr25.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[25][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr25.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr25.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[25][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr25.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr25.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[25][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr25.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr25.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[25][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr25.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr25.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[25][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr25.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr25.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[25][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr25.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr25.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[25][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[26][][] ---------------------- **/
		for(;;)                  /***** check for $cnr26.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr26.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[26][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr26.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr26.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[26][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr26.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr26.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[26][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr26.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr26.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[26][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr26.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr26.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[26][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr26.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr26.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[26][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr26.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr26.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[26][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr26.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr26.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[26][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[27. ---------------------- **/
		for(;;)                  /***** check for $cnr27.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr27.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[27][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr27.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr27.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[27][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr27.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr27.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[27][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr27.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr27.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[27][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr27.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr27.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[27][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr27.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr27.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[27][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr27.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr27.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[27][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr27.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr27.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[27][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[28][][] ---------------------- **/
		for(;;)                  /***** check for $cnr28.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr28.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[28][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr28.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr28.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[28][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr28.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr28.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[28][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr28.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr28.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[28][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr28.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr28.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[28][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr28.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr28.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[28][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr28.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr28.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[28][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr28.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr28.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[28][3][1],ptr);
			strcpy(string,string2);
		}



		/** ------------------- corner[29][][] ---------------------- **/
		for(;;)                  /***** check for $cnr29.0.0 ***/
		{	ptr = (char *) strstr(string,"$cnr29.0.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[29][0][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr29.0.1 ***/
		{	ptr = (char *) strstr(string,"$cnr29.0.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[29][0][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr29.1.0 ***/
		{	ptr = (char *) strstr(string,"$cnr29.1.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[29][1][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr29.1.1 ***/
		{	ptr = (char *) strstr(string,"$cnr29.1.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[29][1][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr29.2.0 ***/
		{	ptr = (char *) strstr(string,"$cnr29.2.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[29][2][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr29.2.1 ***/
		{	ptr = (char *) strstr(string,"$cnr29.2.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[29][2][1],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr29.3.0 ***/
		{	ptr = (char *) strstr(string,"$cnr29.3.0");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[29][3][0],ptr);
			strcpy(string,string2);
		}
		for(;;)                  /***** check for $cnr29.3.1 ***/
		{	ptr = (char *) strstr(string,"$cnr29.3.1");
			if(ptr == (char *) 0)
				break;
			*ptr = (char) 0;
			ptr += 10;
			sprintf(string2,"%s%f%s",string,corner[29][3][1],ptr);
			strcpy(string,string2);
		}
	}

	return(0);
}
