/*******************************************************************************
*	file_macros   (see manual, Internal Functions)            	<??>   *
*                                                                              *
*               Puts all (up to 300) macro names into the global macros[][]    *
*               and user defined macros into my_macros[][] if compiled for     *
*               multiuser use. DBS@CWU                                         *
*                                                                              *
*			Returns 0                                              *
*******************************************************************************/
/* Last modified on 5/3/92 by DBS@CWU for X11 and GRASS use. */

#include "../../incl/globals.h"  /*  <stdio.h> & all LTP defines & globals  */

long file_macros()
{
	long i;
	long n;
	char list[301][STRLIST];
#ifdef MULTIUSER
	char dir_name[512];

	sprintf(dir_name, "%s/.ltp/macros", home_path);
	if(file_exists(dir_name,""))
		n = dir_list(dir_name,list[0],300);
	else
		n = 0;

	if(n > 0)
	{	for(i=0; i<n ; i++)
			strcpy(my_macros[i],list[i]);
	}
#endif

	n = dir_list(macros_path,list[0],300);

	if(n > 0)
	{	for(i=0; i<n ; i++)
			strcpy(macros[i],list[i]);
	}

	return(0);
}
