/*******************************************************************************
*    freesomemore                                                              *
*       This program attempts to free some more space from map variables.      *
*       Parameters:  - none -                                                  *
*       Files changed:  - none, but the temp map must be updated befor calling *
*       Values returned:  0 = more space has been freed, 1 = no space freed    *
*       J.Dabritz 2/2/90                                                       *
*******************************************************************************/

#include <string.h>
#include "../../incl/globals.h"

freesomemore()
{
	if(v_attributesm.malloc != (char *) 0)
	{	free_ltp(v_attributesm.malloc);
		v_attributesm.malloc = (char *) 0;            
		return(0);
	}

	if(v_objectsm.malloc != (char *) 0)
	{	free_ltp(v_objectsm.malloc);
		v_objectsm.malloc = (char *) 0;            
		return(0);
	}

	if(errorsm.malloc != (char *) 0)
	{	free_ltp(errorsm.malloc);
		errorsm.malloc = (char *) 0;            
		return(0);
	}

	if(seg_listm.malloc != (char *) 0)
	{	free_ltp(seg_listm.malloc);
		seg_listm.malloc = (char *) 0;            
		return(0);
	}

	if(objectsm.malloc != (char *) 0)
	{	free_ltp(objectsm.malloc);
		objectsm.malloc = (char *) 0;            
		return(0);
	}

	if(attributesm.malloc != (char *) 0)
	{	free_ltp(attributesm.malloc);
		attributesm.malloc = (char *) 0;            
		return(0);
	}

	if(index_listm.malloc != (char *) 0)
	{	free_ltp(index_listm.malloc);
		index_listm.malloc = (char *) 0;            
		return(0);
	}

	if(coord_listm.malloc != (char *) 0)
	{	free_ltp(coord_listm.malloc);
		coord_listm.malloc = (char *) 0;           
		return(0);
	}

	return(1);
}
