/*******************************************************************************
*       get_string      (see manual, Internal Functions)                <in>   *
*                       This program collects 1 user-input string from the     *
*                       keyboard and returns it.                               *
*                                                                              *
*                       No variables or files are changed.                     *
*                                                                              *
*                       Returns the string pointer.                            *
*                      j.dabritz  5/15/89                                      *
*******************************************************************************/

#include <string.h>
#include "../../incl/globals.h"  /*  <stdio.h> & all LTP defines & globals  */

long im();

char *get_string(string)
char string[];
{	
	long save_gr_dev;

		/*   check for batch_mode  */
	if(batch_mode)
	{	*string = 0;    /*  set to null  */
		return(string);
	}

		/*   check input pointer   */
	if(string == (char *) 0)
		return string;

		/*   save current graphics device, & set active graphics device off */
	save_gr_dev = gr_dev;
	gr_dev = 0;

		/*   gather next string input          */
	im();
	strcpy(string,raw_buf);

		/*   reset active graphics input device   */
	gr_dev = save_gr_dev;

	return string;
}
