/*******************************************************************************
*       imp_rm_tmp      (see manual, Internal Functions)                <in>   *
*			Removes temporary files created when DOS files are copied to Xenix    *
*			for the import command.                                               *
*                                                                              *
*        parameters:    char *fname;   The filename passed to the import prog. *
*                       char *actual;  The unix/xenix path actually imported.  *
*                                                                              *
*        Value returned (long) 0 = done, 1=abort                               *
*                      j.dabritz  6/22/90                                      *
*******************************************************************************/

#include "../../incl/globals.h"
#include <string.h>

long imp_rm_tmp(fname,actual)
	char *fname;
	char *actual;
{	

		/************ check for full path fname ***********************/
	if(*fname == '/')           /** unix/xenix file name, no temp file used **/
		return(0);
	else if(*(fname+1) != ':')    /** not a dos file name, chech default **/
	{	if(*config.import_path == '/')  /** unix path, no temp file used. **/
			return(0);
		else if(config.import_path[1] != ':') /* not a dos file name, return  */
			return(0);      /** default/default is unix/xenix path, no rm **/
	}

		/************ remove temp file & return ***********************/
	return(purgef(actual));

}
