/*******************************************************************************
*	ismenu       (see manual, Internal Functions)            	<in>   *
*	    		Determines if a string is the name of a menu.          *
*			If true, the index to the macro is returned.           *
*                                                                              *
*			Parameters:   char*   string containing (possible)     *
*			                      menu name                        *
*			Globals Modified: none                                 *
*                                                                              *
*			Returns 1 if menu found, 0 otherwise.                  *
*			J. Dabritz                                             *
*******************************************************************************/

#include <string.h>
#include "../../incl/globals.h"

long trim();
long append_msg();

long ismenu( trial_menuname )
	char *trial_menuname;
{
	long indx;
	long parse_len;
	char name[256];

	trim(trial_menuname);
	parse_len = strlen( trial_menuname );
	if(parse_len == 0)
		return 0;

	for( indx = 0; indx < MENUS; indx++ )
	{	strcpy(name,menu_name[indx]);
		name[12] = 0;
		trim(name);
		if( *trial_menuname == *name)     /* check character 0 */
		{	if( !(strcmp(trial_menuname,name)))
			{	if(collecting_macro)		/*  in macro collection mode? */
					strcpy(raw_buf,name);
				disp_menu(indx);
				append_msg("  *** menu change ***");
				return 1;
			}
		}
	}

	return(0);		/*  No match  */
}				/*  End of ismenu()  */
