/*******************************************************************************
*       message         (see manual, Internal Functions)                <in>   *
*		   	Prints the passed message on the lower (message)       *
*		   	portion of the screen.                       	       *
*		   	                                             	       *
*		   	No global variables or files modified.       	       *
*                                                                              *
*			Returns zero upon normal end-of-job (EOJ).             *
*                      j.dabritz  3/7/89 - 5/8/89                              *
*******************************************************************************/

#include <string.h>
#include "../../incl/globals.h"

long  bar_off();
long  disptext();	/* (long row,col, char *string) 		*/
long  swplane();	/* (long planenum)				*/

long message( string )
	char *string;
{	
	long i,j,k;

	swplane(3);

		/*  add string to buffer                    */
	t4_indx = (t4_indx + 1) & 127;
	strncpy(text_buf[t4_indx], string, STRLIST - 1);

		/*  print last 3 lines of text_buf buffer (or 1 string for batch mode)*/
	if(batch_mode || !graphics_flag)
		printf("\nmsg:  %s\n",string);
	else
	{	swplane(0);
		i = (t4_indx+126)&127;
		k = (t4_indx+1)&127;
		for(j=0;  i != k ;  i = (i+1) & 127, j++)
		{	bar_off(0, 416+j*16, 639, 431+j*16);
			disptext(26+j, 0, text_buf[i]);
		}
	}

	return (long) 0;
}
