/*******************************************************************************
*       put_jobstats    (see manual, Internal Functions)                <in>   *
*                       This program stores the information in the job_stats   *
*                       global into a file whose path is the parameter.        *
*                                                                              *
*                       Only the file written is changed.                      *
*                                                                              *
*                       Returns zero upon normal end-of-job (EOJ).             *
*                       returns 1 upon failure.                                *
*                      j.dabritz  6/12/89                                      *
*******************************************************************************/

#include "../../incl/globals.h"  /*  <stdio.h> & all LTP defines & globals  */


long put_jobstats(path)
char *path;
{
	int fd; 

		/*    open the job_stats fd                               */
	if(0 > (fd = openf(path, WRITE)))
		return(1);
	if(0 > writeb((char *)job_stats,400,1,fd))
	{	closef(fd);
	 	return(1);
	}

		/*    close fd                                         */
	closef(fd);

	return(0);
}

