/*******************************************************************************
*       put_levelnms    (see manual, Internal Functions)                <in>   *
*                       This program stores the information in the level_names *
*                       global into a file whose path is the parameter.        *
*                                                                              *
*                       Only the file written is changed.                      *
*                                                                              *
*                       Returns zero upon normal end-of-job (EOJ).             *
*                       returns 1 upon failure.                                *
*                      j.dabritz  8/18/89                                      *
*******************************************************************************/

#include "../../incl/globals.h"  /*  <stdio.h> & all LTP defines & globals  */

char *trim();           /*  (char *string)                                    */


long put_levelnms(path)
char *path;
{
	char line[512];
	int file; 
	long i;

		/*    open the level_names file                               */
	file = openf(path, WRITE);
	if(0 > file)
		return(1);

		/*    go through the level_names global from oldest to newest */
		/*    writing 1 line for each element.                   */
	for( i=0; i<96; i++)
	{	trim(level_names[i]);
		sprintf(line,"%s\n",level_names[i]);
		if(writea(line,file))
		{	closef(file);
			return(1);
		}
	}

		/*    close file                                         */
	closef(file);

	return(0);
}
