/*******************************************************************************
*	ramfree		(see manual, Internal Functions)         	<in>   *
*			Determines if a given number of bytes is free as a     *
*			single block in RAM.                                   *
*			                                                       *
*			Returns a 1 if the input number is free, 0 if not.     *
*			JPD  R6/5/89 					       *
*******************************************************************************/

#include <stdio.h>
#include <malloc.h>

long ramfree(bytes)
	unsigned int bytes;
{
	char *ptr;

		/*	try to allocate the space  */
	ptr = (char *) malloc_ltp((char *) bytes);

	if(ptr == (char *) 0)     /*    malloc failed  */
		return(0);

					/*    malloc succeded */
	free_ltp(ptr); 
	return(1);
}

