/*******************************************************************************
*       strfill         (see manual, Internal Functions)                <in>   *
*                 This program fill a string to the specified number of        *
*                 characters.  The string will be truncated if longer.         *
*                                                                              *
*                 parameters:   char *ptr;     pointer to the string           *
*                               long n;        number of characters.           *
*                                                                              *
*                 It returns a pointer to the string                           *
*                      j.dabritz  8/2/90                                       *
*******************************************************************************/

char *strfill(ptr,n) 
	char *ptr;
	long n;
{
	char *p;

	long hit;
	long i;


		/**** check parameters ***/
	if(ptr <= (char *) 0)
		return(ptr);

	if(n < 0)
		return(ptr);

		/*** fill with blanks to n characters **/
	hit = 0;
	for(i=0, p=ptr; i<n; i++, p++)
	{	if(hit)
			*p = (char) 32;
		else if(*p == (char) 0)
		{	hit = 1;
			*p = (char) 32;
		}
	}
	ptr[n] = (char) 0;

	return(ptr);
}
