/*******************************************************************************
*       strstr          (see manual, Internal Functions)                <in>   *
*                 This program duplicates the ANSI C strstr function.          *
*                 This was done because the compilers used when ltp was        *
*                 created didn't include this function.                        *
*                                                                              *
*                 It returns a pointer to the first occurrance of the test     *
*                 string within the reference string.                          *
*                      j.dabritz  3/7/89 - 5/8/89                              *
*******************************************************************************/
#include <string.h>

#ifndef SCO_UNIX

char *strstr(ref,test) 
	char *ref;
	char *test;
{
	char *rtn;  
	char *out;
	long i,t,r;

	rtn=ref;
	t=strlen(test);
	r=strlen(rtn);
	out=rtn+r-t;
	i=0;

	if((!ref) || (!test))
		return (char*) 0;

	for(;  i<t && rtn<=out  ;  rtn++)
		for(i=0;  test[i]==rtn[i] && i<t ;i++);

	if(rtn > ref)    rtn = rtn - 1;

	if(i==t) return(rtn);
	return((char *) 0);
}

#endif
