/*******************************************************************************
*	ckeys_disp	(see manual, Command Ref., User Functions)              <fc>   *
*			Description: Displays cursor key definitions.                      *
*			Parameters:  Print flag (optional) and cursor key file name.       *
*			Globals Modified:  none                                            *
*                                                                              *
*			Returns zero upon normal end-of-job (EOJ).                         *
*			C. Jonson  11/20/89                                                *
*******************************************************************************/
#include "../../incl/globals.h"
#include "../../incl/in.h"

long disp_ckeys();

long ckeys_disp( print_ckeys, ckeys_path )
	long print_ckeys;
	char *ckeys_path;
{
	char cmd[256];

/*** Print the file if print_ckeys is TRUE ***/
	if( print_ckeys )
	{	sprintf(cmd, "%s %s", config.print1, ckeys_path);
		if( system_ltp(cmd) )
			message("System returned non-zero return code.");

		return(0);		/* file printed, now return */
	}

		/**** otherwise, display the file *****/
	more(ckeys_path);
	
/*** Time to return ***/
	return(0);
}
