/*******************************************************************************
*	connect		(see manual, Command Ref., User Function)	<fc>   *
*			Sets the graphics input mode to connect.               *
*                                                                              *
*           Globals changed:   none, but calls change_mode which does.         *
*           Returns long (0)                                                   *
*           J.Dabritz 8/13/89                                                  *
*******************************************************************************/
/* Modified 6/92 by DBS@CWU for X11 support.  Changed the function name from
   connect to connect_ltp because of X11 library interference. */

#include "../../incl/globals.h"
#include "../../incl/in.h"

connect_ltp(snap)
	long snap;   /*  snap flag.  if s !=0 then set snap mode.        */
{

		/************* check for VIEW ONLY raster **********************/
	if(job_stats[78])
	{	message("You CANNOT do ANYTHING to the VIEW ONLY ORIGINAL SCAN.");
		return(1);
	}
		/**************** invoke new mode ***********************/
	change_mode(3,snap);

		/**************** return ********************************/
	return(0);
}
