/*******************************************************************************
*	draw		(see manual, Command Ref., User Function)	<fc>   *
*			Sets the graphic input mode to draw.                   *
*                                                                              *
*           Globals changed:   none, but calls change_mode which does.         *
*           Returns long (0)                                                   *
*           J.Dabritz 7/89                                                     *
*******************************************************************************/

#include "../../incl/globals.h"
#include "../../incl/in.h"

long draw(mode,snap)
	long mode; /*  draw mode:   	4 = draw fat lines
					5 = draw lines
					6 = draw points
					7 = draw rectangles
				   16 = draw wedge
					28 = draw spur                      */
	long snap; /*  snap flag:  0=off, 1=on                          */
{
		/************* check for VIEW ONLY raster **********************/
	if(job_stats[78])
	{	message("You CANNOT do ANYTHING to the VIEW ONLY ORIGINAL SCAN.");
		return(1);
	}

		/**************** invoke new mode ***********************/
	change_mode(mode,snap);

		/**************** return ********************************/
	return(0);
}
