/*******************************************************************************
*	erase		(see manual, Command Ref., User Function)	<fc>   *
*			Sets the graphic input mode to erase.                  *
*                                                                              *
*******************************************************************************/

#include "../../incl/globals.h"
#include "../../incl/in.h"

long erase(mode,snap)
	long mode; /*  erase mode:   	 8 = erase fat lines
					 9 = erase lines
					10 = erase points
					11 = erase rectangles
					17 = erase wedge		*/
	long snap; /*  snap flag:  0=off, 1=on                          */
{
		/************* check for VIEW ONLY raster **********************/
	if(job_stats[78])
	{	message("You CANNOT do ANYTHING to the VIEW ONLY ORIGINAL SCAN.");
		return(1);
	}
		/**************** invoke new mode ***********************/
	change_mode(mode,snap);

		/**************** return ********************************/
	return(0);
}
