/*******************************************************************************
*	purge		(see manual, Command Ref., User Functions)	<fc>   *
*                                                                              *
*	        	Removes the (default data path)/( dtype)/( fname)      *
*			file(s).  If  fname is a map name, then all files      *
*			beneath that directory path are removed.  Returns      *
*			any error condition from that function to em for       *
*			processing as an advisory to the user.                 *
*                                                                              *
*			Returns zero upon normal execution, else               *
*			returns -1 upon error.                                 *
*******************************************************************************/

#include "../../incl/globals.h"

long purge( dtype, fname, path )
	char *dtype;
	char *fname;
	char *path;
{
/*  Locals  */
	char cmd[512];
	char resp[512];
	char tmp_prompt[128];

/*  Give user one last chance  */

	if( !batch_mode )
	{	sprintf( tmp_prompt, prompt[215], dtype, fname);
		message( tmp_prompt );
		get_string(resp);
		lowerc( resp );
		if( resp[0] == 'n' )
			return(1);
	}

/***  Call purgef to do the dirty deed.  ***/

	return( purgef(path) );
}
