/*******************************************************************************
*	recall	(see manual, Command Ref., User Function)	<fc>   *
*			Sets the graphic input mode to recall.                 *
*                                                                              *
*           Globals changed:   none, but calls change_mode which does.         *
*           Returns long (0)                                                   *
*           J.Dabritz 7/89                                                     *
*******************************************************************************/

#include "../../incl/globals.h"
#include "../../incl/in.h"

long recall_ltp(mode,braster)
	long mode;   /** see change_mode for a definition of modes **/
	long braster;  /** 0=raster, 1=braster **/
{
		/************* check for VIEW ONLY raster **********************/
	if(job_stats[78])
	{	message("You CANNOT do ANYTHING to the VIEW ONLY ORIGINAL SCAN.");
		return(1);
	}

		/**************** invoke new mode ***********************/
	change_mode(mode,0);
	recall_rset(braster);

		/**************** return ********************************/
	return(0);
}
