/*******************************************************************************
*	retrieve_ltp      (see manual, Command Ref., User Functions)        <fc>   *
*                                                                              *
*			Copies a map's files from default data path 1          *
*			(primary) to default data path 2 (backup). Both        *
*			paths are specified in the config.h header.  Returns   *
*			any error condition from that function to em for       *
*			processing as an advisory to the user.                 *
*                                                                              *
*			Returns zero upon normal execution.                    *
*******************************************************************************/

#include "../../incl/globals.h"
#include "../../incl/in.h"

long retrieve_ltp( cmd )
	char *cmd;
{
/*** Turn off graphics and reset the keyboard ***/
	graphics_off();
	kb_reset();

/*** Execute the tar command ***/
	if( system_ltp(cmd) )
		message("nonzero return from retrieve system command");


/***  Flush the standard input & querry the user to return ***/
	printf("\n\n listing done,  press [RETURN] to continue with LTPlus");
	fflush(stdin);
	getchar();

/*** Reset the graphics and kb environments ***/
	graphics_on();
	kb_setup();

	return(0);
}
