/*******************************************************************************
*	seg_break	(see manual, Command Ref., User Function)	<fc>   *
*		 	Sets the graphic input mode to seg_break (pixel line)  *
*                                                                              *
*  Returns 0 if successful, 1 if not.                                          *
*  J.Dabritz  2/5/90                                                           *
*******************************************************************************/

#include "../../incl/globals.h"
#include "../../incl/in.h"

long seg_break()
{
		/************ check for polygon type map  **********************/
	if(map_type & 4)
		pause_ltp(5,"seg_break WILL CAUSE LOSS of POLYGON TOPOLYGY on segments borken.");

		/************ check for polygon objects   **********************/
	if(job_stats[7])
		message("If map type is changed back to polygon, polygon data may be corrupt.");

		/************ set input mode to seg_break **********************/
	change_mode(27,0);

		/************ return *******************************************/
	return(0);
}
