/*******************************************************************************
*   vertex_move        (see manual, Command Ref., User Function)        <fc>   *
*           Sets the graphic input mode to vertex_move sanpping to the         *
*           specified level.                                                   *
*                                                                              *
*           Parameters:   long level;  level number: 32-95                     *
*                                                                              *
*           Globals changed:   sets  input_mode                                *
*                                                                              *
*           Returns long (0)                                                   *
*           J.Dabritz 8/16/89                                                  *
*******************************************************************************/

#include "../../incl/globals.h"
#include "../../incl/in.h"

long vertex_move(level)
long level;
{

		/**** check input parameter ***/
	if((level <32)  ||  (level > 95))
	{	message("Level must be in range 32-95.  no action taken.");
		return(1);
	}
	
		/*** change mode ***/
	entry_level = level;
	change_mode(31,0);
	
	return(0);
}
