/*******************************************************************************
*	assembleM  	(see manual, Command Ref., Function Manager)	<fm>   *
*			Function manager for the assemble function.            *
*                                                                              *
*			Does not query for input.  Data reduction is assumed   *
*			to be wanted unless the -n option is specified.        *
*                                                                              *
*			Calls function or writes command to macro being built. *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
#include <string.h>
 
 
long assembleM(parameters)
char *parameters;
{
	long reduce_verticies;

		/************** check for no vertex reduction flag ************/
	reduce_verticies = (strstr(lowerc(parameters),"-n")) ?  0 : 1;
	
		/************** assemble map **********************************/
	if(!collecting_macro)
	{	if(assemble(reduce_verticies))
			return(0);
	}

		/************** build string **********************************/
	if(!reduce_verticies)
		sprintf(raw_buf,"assemble -n");
	else
		sprintf(raw_buf,"assemble");

		/************** return ****************************************/
    return(1);
}
