/*******************************************************************************
*	atrbt_concaM	(see manual, Command Ref., Function Manager)	<fm>   *
*			Description:  Parses string parameter and checks       *
*			arguments for their presence and validity.             *
*			Parameters:  A string containing the function          *
*			arguments.  The following values are searched for:     *
*			arg1:  Set number.                                     *
*									       *
*			Returns zero upon normal end-of-job (EOJ).             *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long atrbt_concaM(parameters)
char *parameters;
{
	char parsed[3][STRLIST];

	long promptem;

	long s;


		/************** initialize ************************************/
	promptem = 0;  /* set to 1 if & when prompting is necessary */

		/************** get set number ********************************/
	parse(trim(parameters),delim_buf,parsed,3);
	s = get_set(parsed[0],&promptem,0,31,202);
	if(s == -1)
		return(0);

		/****** call function  ****************************************/
	if(!collecting_macro)
	{	if(atrbt_concat(s))
			return(0);
	}

		/****** write command line ************************************/
	sprintf(raw_buf,"atrbt_concat  %d",s);

		/****** return ************************************************/
	return(1);
}

