/*******************************************************************************
*	atrbt_thinM	(see manual, Command Ref., Function Manager)	<fm>   *
*			Description:  Parses string parameter and checks       *
*			arguments for their presence and validity.             *
*			Parameters:  A string containing the function          *
*			arguments.  The following values are searched for:     *
*			arg1:  Action type code                                *
*			arg2:  Set number                                      *
*									       *
*			Returns zero upon normal end-of-job (EOJ).             *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long atrbt_thinM(parameters)
char *parameters;
{
	char parsed[3][STRLIST];

	long promptem;

	long action;
	long s;


		/************** initialize ************************************/
	promptem = 0;  /* set to 1 if & when prompting is necessary */

		/************** get action ************************************/
	parse(trim(parameters),delim_buf,parsed,3);
	if(get_long(parsed[0],&action,&promptem,5,-2,31))
		return(0);

		/************** get set number ********************************/
	s = get_set(parsed[1],&promptem,0,31,202);
	if(s == -1)
		return(0);

		/****** call function  ****************************************/
	if(!collecting_macro)
	{	if(atrbt_thin(action,s))
			return(0);
	}

		/****** write command line ************************************/
	sprintf(raw_buf,"atrbt_thin  %d  %d",action,s);

		/****** return ************************************************/
	return(1);
}

