/*******************************************************************************
*   bridge_gapM     (see manual, Command Ref., Function Manager)        <fm>   *
*                        Function manager for the bridge_gap function.         *
*                                                                              *
*                        Does not query for any input.                         *
*                                                                              *
*                        Calls function or writes command to macro being built *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long bridge_gapM(parameters)
char *parameters;
{
		/**************** start mode ******************************/
	if(!collecting_macro)
 	{	if(bridge_gap())
			return(0);
	}

		/**************** write command in raw buf **********************/
	sprintf(raw_buf,"bridge_gap");

		/**************** return 1 *************************************/
    return(1);
}
