/*******************************************************************************
*	catalogM 	(see manual, Command Ref., Function Manager)	<fm>   *
*                                                                              *
*	            	Either calls the catalog function or writes the        *
*			catalog command to a macro file.                       *
*                                                                              *
*			Calls parser to extract the directory type ( dtype)    *
*			and  prtr from  rawrem, passed from function           *
*			junction (fj).  If no  dtype is received, "map" is     *
*			assigned to that variable.  If no  prtr is found, it   *
*			is set to be "m".  If  prtr="w", the parser should     *
*			have found an output file name ( fname). If none is    *
*			found, or if the file name is either invalid in        *
*			format or does not exist, prompt is called to query    *
*			the user for a valid file name.  If the dtype arg      *
*			received from fj is not a valid option, the user is    *
*			prompted for a correct value.                          *
*                                                                              *
*			Returns zero upon normal execution.                    *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long catalogM(parameters)
char *parameters;
{
    append_msg("    << not implemented yet.");
 
    return(0);
}
