/*******************************************************************************
*	clear_modeM	(see manual, Command Ref., Function Manager)	<fm>   *
*			Function manager for the clear_mode function.          *
*       		No user prompting.                                     *
*                                                                              *
*              		Either calls clear_mode() or writes clear_mode command *
*              		line to the macro being built.                         *
*                                                                              *
*			Returns 1 on normal completion, 0 on failure.                      *
*			J.Dabritz  8/13/89                                                 *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long clear_modeM(parameters)
char *parameters;
{
		/************ clear input mode  *******************************/
	if(!collecting_macro)
	{	if(clear_mode())
			return(0);
	}

		/************ build string ************************************/
	sprintf(raw_buf,"clear_mode");

		/************ return ******************************************/
	return(1);
}
