/*******************************************************************************
*	coord_typeM	(see manual, Command Ref., Function Manager)	<fm>   *
*			Checks for type parameter.  Queries user               *
*			for coordinate type desired if necessary & sets type.  *
*                                                                              *
*			Either calls coord_type() or writes coord_type command *
*			line to the macro being built.                         *
*                                                                              *
*			Returns zero upon normal end-of-job (EOJ).             *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long coord_typeM(parameters)
char *parameters;
{
	long promptem;
	long c;

	char string[256];

	promptem = 0;  /* set to 1 if & when prompting is necessary */

		/***** parameter 0, coord type ********************************/
	trim(parameters);
	if(!(*parameters))
	{	sprintf(string,"current coord type = %d",disp_coord_type);
		message(string);
	}
	if(get_long(parameters,&c,&promptem,50,0,19))
		return(0);


		/****** call margin program ***********************************/
	if(!collecting_macro)
	{	if(coord_type(c))
			return(0);
	}

		/****** write command line ************************************/
	sprintf(raw_buf,"coord_type  %d",c);
	
		/************** return ****************************************/
    return(1);
}
