/*******************************************************************************
*      crit_adjM        (see manual, Command Ref., Function Manager)    <fm>   *
*                                                                              *
*                  Either calls the appropriate function or writes the comand  *
*                  to the macro file.                                          *
*                                                                              *
*                  collects user input as needed.                              *
*                                                                              *
*                  Returns one  upon normal execution.                         *
*                  J.Dabritz   1/11/90                                         *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long crit_adjM(parameters)
char *parameters;
{
	char parsed[3][STRLIST];

	long s;
	long promptem;


		/************* break up parameters *****************************/
	strcpy(parsed[0],parameters);
	trim(parsed[0]);

		/************** initialize promptem flag **********************/
	promptem = 0;  /* set to 1 if & when prompting is necessary */

		/************* check parameter 0 , set nubmer ******************/
	s = get_set(parsed[0],&promptem,0,31,202);
	
		/************* check parameter 1 , none ************************/
		/************* check parameter 2 , none ************************/
		/************* call function ***********************************/
	if(!collecting_macro)
	{	if(crit_adj(s))
			return(0);
	}

		/************* write command line ******************************/
	sprintf(raw_buf,"crit_adj  %d",s);

		/************* return ******************************************/
    return(1);
}
