/*******************************************************************************
*      crit_arangeM     (see manual, Command Ref., Function Manager)    <fm>   *
*                                                                              *
*                  Either calls the appropriate function or writes the comand  *
*                  to the macro file.                                          *
*                                                                              *
*                  collects user input as needed.                              *
*                                                                              *
*                  Returns one  upon normal execution.                         *
*                  J.Dabritz   1/11/90                                         *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long crit_arangeM(parameters)
char *parameters;
{
	char parsed[3][STRLIST];

	long no_params;


		/************* break up parameters *****************************/
	no_params = parse(trim(parameters),delim_buf,parsed,3);

		/************* check parameter 0 , lower string bound **********/
	if(no_params == 0)
	{	if(batch_mode)
			return(0);
		message(prompt[271]);
	    get_string(parsed[0]);
		trim(parsed[0]);
	}
	if(!*(parsed[0]))
		return(0);
	
		/************* check parameter 1 , upper string bound **********/
	if(no_params < 2)
	{	if(batch_mode)
			return(0);
		message(prompt[272]);
	    get_string(parsed[1]);
		trim(parsed[1]);
	}
	if(!*(parsed[1]))
		return(0);
	
		/************* check parameter 2 , none ************************/
		/************* call function ***********************************/
	if(!collecting_macro)
	{	if(crit_arange(parsed[0],parsed[1]))
			return(0);
	}

		/************* write command line ******************************/
	sprintf(raw_buf,"crit_arange  %s  %s",parsed[0],parsed[1]);

		/************* return ******************************************/
    return(1);
}
