/*******************************************************************************
*      crit_superelM    (see manual, Command Ref., Function Manager)    <fm>   *
*                                                                              *
*                  Either calls the appropriate function or writes the comand  *
*                  to the macro file.                                          *
*                                                                              *
*                  collects user input as needed.                              *
*                                                                              *
*                  Returns one  upon normal execution.                         *
*                  J.Dabritz   1/11/90                                         *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long crit_superelM(parameters)
char *parameters;
{
	long s1;
	long promptem;


		/************** initialize promptem flag **********************/
	promptem = 0;  /* set to 1 if & when prompting is necessary */

		/************* check parameter 0 , set number ***************/
	trim(parameters);
	s1 = get_set(parameters,&promptem,0,31,202);
	if(s1 < 0)
		return(0);

		/************* check parameter 1 , none *********************/
		/************* check parameter 2 , none ************************/
		/************* call function ***********************************/
	if(!collecting_macro)
	{	if(crit_superel(s1))
			return(0);
	}

		/************* write command line ******************************/
	sprintf(raw_buf,"crit_superel  %d",s1);

		/************* return ******************************************/
    return(1);
}
