/*******************************************************************************
*	exitM		(see manual, Command Ref, Function Mgr)		<fm>   *
*                                                                              *
*			Either calls the exit function or writes the           *
*			exit command to a macro file.                          *
*                                                                              *
*                       Checks for existence of single argument n and          *
*			calls prompt to query the user if it is not            *
*			found or if it is not equal to either 1 or 0.          *
*                                                                              *
*			Returns 1 upon normal execution.                       *
*******************************************************************************/

#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"

long exitM( parameters )
	char *parameters;
{
	char c;
	char answer[STRLIST];
	long n;

		/*   check to see if the parameter is there & correct  */
	if(batch_mode)
		sprintf(parameters, "1");
	else
	{	trim(parameters);
		if((*parameters != '0') && (*parameters != '1'))
		{	if(changes())
			{ 	if(answerisyes(210,1))
					*parameters = '1';
				else
					*parameters = '0';
				*(parameters+1) = 0;    /* append a null */
			}
		}
	}
	
	if(*parameters == '1')
		n = 1;
	else
		n = 0;

		/*   set flags to exit macro(s) & program    */
	if(!collecting_macro)
		exit_ltp(n);

	if(*parameters == '1')
		sprintf(raw_buf,"exit 1");
	else
		sprintf(raw_buf,"exit 0");

	return(1);
}
