/*******************************************************************************
*	level_icopyM 		(see manual, Command Ref., Function Manager)	<fm>   *
*                                                                              *
*			Either calls the appropriate import function or        *
*			writes the import command to a macro file.             *
*                                                                              *
*           Parses the input string for necessary parameters.  queries         *
*           the user for necessary information.  calls the function            *
*           for the appropriate import file format type.                       *
*                                                                              *
*           Returns  1 on successful completion, 0 on abort/failure.           *
*                                                                              *
*           J.Dabritz   7/16/90                                                *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long level_icopyM(parameters)
char *parameters;
{
	long level;


		/************** get parameter: level number *******************/
	level = 0;
	if(*parameters)
		sscanf(parameters,"%ld",&level);
	if((level < 32)  ||  (level > 95))
	{	if(batch_mode)
			return(0);

		level = choose_level(32,95,246);
	}


		/****** execute function **************************************/
	if(!collecting_macro)
	{	if(level_icopy(level))
			return(0);
	}

		/****** write command line ************************************/
	sprintf(raw_buf,"level_icopy  %d",level);

		/****** return ************************************************/
    return(1);
}
