/*******************************************************************************
*	negative_imM (see manual, Command Ref., Function Manager)	<fm>   *
*			Checks for type parameter.  Queries user               *
*			for coordinate type desired if necessary & sets type.  *
*                                                                              *
*			Either calls negative_img() or writes negative_img command *
*			line to the macro being built.                         *
*                                                                              *
*			Returns zero upon normal end-of-job (EOJ).             *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long negative_imM(parameters)
char *parameters;
{
		/****** call negative_img program *****************************/
	if(!collecting_macro)
	{	if(negative_img())
			return(0);
	}

		/****** write command line ************************************/
	sprintf(raw_buf,"negative_img");
	
		/************** return ****************************************/
    return(1);
}
