/*******************************************************************************
*	vertex_moveM	(see manual, Command Ref., Function Manager)	<fm>   *
*			Function manager for the vertex_move function.         *
*                                                                              *
*			Does not query for any input.                          *
*                                                                              *
*			Calls function or writes command to macro being built  *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
 
 
long vertex_moveM(parameters)
char *parameters;
{
	long level;


		/************** get parameter: level number *******************/
	level = 0;
	if(*parameters)
		sscanf(parameters,"%ld",&level);
	if((level < 32)  ||  (level > 95))
	{	if(batch_mode)
			return(0);

		level = choose_level(32,95,246);
	}


		/****** execute function **************************************/
	if(!collecting_macro)
	{	if(vertex_move(level))
			return(0);
	}

		/****** write command line ************************************/
	sprintf(raw_buf,"vertex_move  %d",level);

		/****** return ************************************************/
    return(1);
}
