/*******************************************************************************
*	waitM    	        (see manual, Command Ref., Function Manager)	<fm>   *
*		 	Function manager for the wait  function.                           *
*                                                                              *
*			Queries for the seconds and string parameter.          *
*                                                                              *
*			Calls function or writes command to macro being built  *
*******************************************************************************/
 
#include "../../incl/globals.h"
#include "../../incl/in.h"
#include "../../incl/fc.h"
#include <string.h>
 
 
waitM(parameters)
char *parameters;
{
	char parsed[3][STRLIST];
	char string[STRLIST];

	long promptem;
	long no_params;
	long i;

		/************** initialize promptem flag and format type ******/
	promptem = 0;  /* set to 1 if & when prompting is necessary */

		/************** break up parameters ***************************/
	trim(parameters);
	no_params = (parameters[0]) ?    1 : 0;

		/************** check for string parameter ********************/
	string[0] = 0;
	if(no_params)
	{	if(parameters[0] != 0)
			strcpy(string,parameters);
	}

	if(!batch_mode  &&  (string[0] == 0))
	{	message(prompt[258]);
		get_string(string);
	}	


		/************** execute wait command  ************************/
	if(!collecting_macro)
	{	if(wait_ltp(string))
			return(0);
	}

		
		/************** build command string **************************/
	sprintf(raw_buf,"wait  %s",string);


		/************** return ****************************************/
    return(1);
}
