/*******************************************************************************
*       list_find       (see manual, Internal Functions)                <in>   *
*	      		Check a list to see if it contains a given element.            *
*			Return a 1 if the element is on the list, 0 otherwise.             *
*                                                                              *
*           Makes no changes to files or global variables.                     *
*                                                                              *
*			Returns the input string                               *
*                       JPD 3/31/89                                            *
*******************************************************************************/

#include <string.h>
#include "../../incl/globals.h"


long list_find(list_ptr, test_string, no_items)
	char *list_ptr;
	char test_string[];
	long int no_items;
{
	char *item_ptr;
	long i;
	long found;

		/*    initialize answer variable                                  */
	found = 0;           /*   default = not found                */

		/*    check for legitimate list pointer and test_string pointer   */
	if(list_ptr && test_string)
	{		/*   search list to see if test_string is an element     */
		item_ptr = list_ptr;    
		for(i=0; (!found) && (i<no_items); i++, item_ptr=item_ptr+STRLIST)
		{	if(strncmp(item_ptr, test_string, STRLIST) == 0)
				found++;
		}
	}
		/*    return found flag                 */
	return( found );
}
