/*******************************************************************************
*	reada		(see manual, Internal Functions)            	<in>   *
*			Reads an ascii file using low level I/O.  When a       *
*			newline is read or if "bytes" number of bytes have     *
*			been read, a null is appended and the string returned. *
*			                                                       *
*			Returns string upon normal end-of-job (EOJ), else      *
*			returns (char *)0 upon error.                          *
*			HLM&JPD030789					       *
*******************************************************************************/

char *reada( string, bytes, fd  )
	char *string;	
	int bytes;
	int fd;
{
	long i, brd;

	for(bytes--, i=0; (brd = read(fd, (string + i), 1)) && i < bytes; i++ )
	{	if( brd == -1 )
			return(0);
		if( *(string + i) == '\n' )
		{
			*(string + i + 1) = '\0';	/* null term string  */
			break;
		}
		else if( i == bytes)
		{
			*(string + i) = '\0';
			break;
		}
	}

	if( brd == 0 )
		return((char *) 0);
	else
		return( string );
}
