/*******************************************************************************
*	readb		(see manual, Internal Functions)            	<in>   *
*			Reads a file in binary fashion.                        *
*			                                                       *
*			Returns greater than zero for successful read, else    *
*			returns zero when at end of file, else                 *
*			returns -1 upon error.                                 *
*			HLM&JPD030789					       *
*******************************************************************************/

int readb( string, size, num, fd )
	char *string;	
	int size, num;
	int fd;
{
/*  Locals  */
	long bytes;

	bytes = size * num;
	return( read( fd, string, bytes ) );
}
