/*******************************************************************************
*       big_joke        (see manual, Internal Functions)                <in>   *
*           Displays the input string at the input size and scrolls it         *
*           accross the screen.                                                *
*                                                                              *
*           Returns 0                                                          *
*                       JPD 3/27/89                                            *
*******************************************************************************/
/* Modified 6/92 by DBS@CWU for X11 support */

#include <string.h>
#include "../../incl/globals.h"
#ifdef LTP_X11
#include "../../incl/x11.h"
#endif

#ifndef LTP_X11
long bitmap();
#else
long bitmap4x();
#endif
long bar_off();
long swplane();
long fattext();


long big_joke(size, string)
long size;
char string[];
{	
	long i;

		/*   check to see if grahpics are being used.  */
	if(batch_mode)
		return 0;

		/*    save graphics for redisplay later & clear screen   */
	for(i=0; i<4; i++)
	{	swplane(i);
#ifndef LTP_X11
		bitmap(BITPLN_WIDTH,415,BITPLN_WIDTH,BITPLN_WIDTH,vga_plane,scratch_pad[i]);
#else
		bitmap4x(WIDTH,415,0,0,xmainwin,0,0,xmainpix);
#endif
		bar_off(0,0,639,414);
	}

		/*   scroll joke accross   */
	swplane(0);
	for(i=25; i>0; i = i-size)
		fattext(i,0,size,string);
	sleep(2);


		/*   reset screen     */
	for(i=0; i<4; i++)
	{	swplane(i);
#ifndef LTP_X11
		bitmap(BITPLN_WIDTH,415,BITPLN_WIDTH,BITPLN_WIDTH,scratch_pad[i],vga_plane);
#else
		bitmap4x(WIDTH,415,0,0,xmainpix,0,0,xmainwin);
#endif

	}

	return 0;
}
