/*******************************************************************************
*	creatf		(see manual, Internal Functions)         	<in>   *
*			Creates a file.  If file exists, it will be erased.    *
*			The open system call is used, not openf.               *
*			                                                       *
*			Returns a non-negative integer if successful, else     *
*			returns a -1.                                          *
*******************************************************************************/
#include <fcntl.h>

int creatf( fname )
	char *fname;
{
	int file;

	if( (file = open( fname, (O_WRONLY | O_CREAT | O_TRUNC), 0775 )) == -1)
		return(-1);

	close( file );
	return( file );
}
