/*******************************************************************************
*       disp_menu       (see manual, Internal Functions)                <in>   *
*                       This program displays the menu given by the number     *
*                       passed.                                                *
*                                                                              *
*                       Globals Modified:  current_menu                        *
*                                                                              *
*                       Returns zero upon normal end-of-job (EOJ).             *
*                      j.dabritz  3/7/89 - 5/8/89                              *
*******************************************************************************/
#include <string.h>

#include "../../incl/globals.h"
long  bar_off();	/* (long x1,y1,x2,y2)				*/
long  disptext();	/* (long row,col, char *string) 		*/
long  swplane();	/* (long planenum)				*/


long disp_menu(n)
	long n;
{
	long i,y;
	char name[STRLIST];

	if(!windowxmin)
	{	for(i=2; i<4; i++)
		{	swplane(i);
			bar_off(528,432,639,447);
			disptext(27,66,menu_name[n]);
		}
		return(0);
	}

		/*  clear off old menu items     */
	swplane(2);
	bar_off(120,112,215,174);  /* menu items/functions */
	bar_off(120,177,215,238);
	bar_off(120,241,215,302);
	bar_off(120,305,215,366);
	bar_off(120,369,215,414);

	swplane(3);
	bar_off(120,414,215,112);  /* remove old menu      */


		/* display the menu   */
	for(i=0; i < MENU_ITEMS	; i++)
	{	strncpy(name,menu_item[n][i],12);
		name[12] = 0;           /*  set to NULL  */
		disptext((7+i),15,name);
	}
	swplane(2);
	for(i=0; i < MENU_ITEMS	; i++)
	{	strncpy(name,menu_item[n][i],12);
		name[12] = 0;           /*  set to NULL  */
		disptext((7+i),15,name);
	}

		/*  remove highlight from last menu     */
	y = (7 + current_menu) * 16;
	bar_off(0,y+1,95,y+14);


		/*  highlight the menu being displayed  */
	y = (7 + n) * 16;
	strncpy(name,menu_name[n],12);
	name[12] = 0;
	disptext((7+n),0,name);

		/*  set the current_menu global         */
	current_menu = n;

	return (long) 0; 
}
