/*******************************************************************************
*   filesize    (see manual, Internal Functions)                        <in>   *
*           Calculates the number of bytes in a file.                          *
*                                                                              *
*           Parameters:   fname - name of file to get sizeof.                  *
*           Returns  -1  upon abnormal end-of-job (EOJ), else                  *
*           returns  size of the file in bytes.                                *
*           C. Jonson 2/9/90		                                   *
*******************************************************************************/
#include <sys/types.h>
#include <sys/stat.h>

long  filesize( fname )	
	char *fname;
{
	struct stat buf;

/***  Get information about this file ***/
	if( stat(fname, &buf) == -1 )
		return(-1);

	return(buf.st_size);
}
