/*******************************************************************************
*       free_malloc     (see manual, Internal Functions)                <in>   *
*			Frees all malloc'd space & sets pointers to 0;         *
*                                                                              *
*			Returns zero upon normal end-of-job (EOJ).             *
*                      j.dabritz  3/7/89 - 5/8/89                              *
*******************************************************************************/

#include "../../incl/globals.h"
#include <malloc.h>

long free_malloc()
{	
	if(rasterm.malloc != (char *) 0)
	{	free_ltp(rasterm.malloc);
		rasterm.malloc = (char *) 0;            
	}
 
	if(objectsm.malloc != (char *) 0)
	{	free_ltp(objectsm.malloc);
		objectsm.malloc = (char *) 0;            
	}
 
	if(seg_listm.malloc != (char *) 0)
	{	free_ltp(seg_listm.malloc);
		seg_listm.malloc = (char *) 0;            
	}
 
	if(attributesm.malloc != (char *) 0)
	{	free_ltp(attributesm.malloc);
		attributesm.malloc = (char *) 0;            
	}
 
	if(errorsm.malloc != (char *) 0)
	{	free_ltp(errorsm.malloc);
		errorsm.malloc = (char *) 0;            
	}
 
	if(index_arraym.malloc != (char *) 0)
	{	free_ltp(index_arraym.malloc);
		index_arraym.malloc = (char *) 0;
	}
 
	if(index_listm.malloc != (char *) 0)
	{	free_ltp(index_listm.malloc);
		index_listm.malloc = (char *) 0;            
	}
 
	if(v_attributesm.malloc != (char *) 0)
	{	free_ltp(v_attributesm.malloc);
		v_attributesm.malloc = (char *) 0;            
	}
 
	if(v_objectsm.malloc != (char *) 0)
	{	free_ltp(v_objectsm.malloc);
		v_objectsm.malloc = (char *) 0;            
	}
 
	if(v_coordlistm.malloc != (char *) 0)
	{	free_ltp(v_coordlistm.malloc);
		v_coordlistm.malloc = (char *) 0;           
	}
 
	if(coord_listm.malloc != (char *) 0)
	{	free_ltp(coord_listm.malloc);
		coord_listm.malloc = (char *) 0;           
	}
 
	return(0);
}
