/*******************************************************************************
*       israsterb       (see manual, Internal Functions)                <in>   *
*                       checks for a b raster of the correct size in the       *
*                       current map.                                           *
*                                                                              *
*                       Returns (long) 1 if rasterb exists & is same size      *
*                                      0 if rasterb is not there or diff size  *
*                       J.Dabritz 9/22/90                                      *
*******************************************************************************/

#include "../../incl/globals.h"

long israsterb()
{
	char dlist[40][STRLIST];

	long sizea;
	long count, i;


		/*********** first, check for the correct size in job_stats ****/
	sizea = (job_stats[1] + 1) * (job_stats[2] + 1)  /  8;
	if(sizea != job_stats[76])
		return(0);

		/*********** next check for the file ***************************/
	count = dir_list(temp_map_path,dlist[0],40);
	for(i=0; i<count; i++)
	{	if(strcmp("rasterb",dlist[i]) == 0)
			return(1); /****** found, return 1 **************************/
	}

		/*********** not found, return 0 *******************************/
	return(0);
}
