/*******************************************************************************
*       scrn_display    (see manual, Internal Functions)                <in>   *
*                                                                              *
*    Purpose:    Displays the menu boxes & labels on the screen according to   *
*       global variables batch_mode, and full_width_disp in graphics.h         *
*                                                                              *
*    Arguments:    none                                                        *
*                                                                              *
*    Returned Values: (long) 0                                                 *
*                                                                              *
*    Global Variables Modified: none                                           *
*                                                                              *
*                      j.dabritz  8/13/89                                      *
*******************************************************************************/
/* Modified 7/92 by DBS@CWU for X11 support */

#include "../../incl/globals.h"

long scrn_display()
{
	long i;
	char string[256];

	if(!batch_mode )
	{		/**** erase current screen display ****/
		for(i=0; i<4 ; i++)
		{	swplane(i);
			bar_off(0,0,639,415);
		}

		if(!full_width_disp)
		{	/* draw the screen boxes on the appropriate plns */
			swplane(2);
			bar_on(112,95,119,0);
			bar_on(0,63,111,63);
			bar_on(0,111,215,96);  
			bar_on(96,415,119,112);
			bar_on(0,415,215,415);
			bar_on(216,415,222,0);
			bar_on(223,415,223,0);
			bar_on(224,400,623,400);
			bar_on(224,415,623,415);
			bar_on(624,0,624,399);
			bar_on(639,0,639,399);
			bar_on(0,175,215,176);
			bar_on(0,239,215,240);
			bar_on(0,303,215,304);
			bar_on(0,367,215,368);
			bar_on(624,415,639,400);
			disptext(6,0," Menus (ctl)     functions");
			disptext(7,12," f1");
			disptext(8,12," f2");
			disptext(9,12," f3");
			disptext(10,12," f4");
			disptext(11,12," f5");
			disptext(12,12," f6");
			disptext(13,12," f7");
			disptext(14,12," f8");
			disptext(15,12," f9");
			disptext(16,12,"f10");
			disptext(17,12,"f11");
			disptext(18,12,"f12");
			disptext(19,12," F1");
			disptext(20,12," F2");
			disptext(21,12," F3");
			disptext(22,12," F4");
			disptext(23,12," F5");
			disptext(24,12," F6");
			disptext(25,12," F7");
			swplane(3);
			disptext(4,0,"X:");
			disptext(5,0,"Y:");
			bar_on(624,415,639,400);
			swplane(1);
			bar_on(0,0,111,15);
			sprintf(string,"LTPlus  V %4.2f",ltp_version);
			disptext(0,0,string);
			disptext(6,0," Menus (ctl)     functions");
			disptext(7,12," f1");
			disptext(8,12," f2");
			disptext(9,12," f3");
			disptext(10,12," f4");
			disptext(11,12," f5");
			disptext(12,12," f6");
			disptext(13,12," f7");
			disptext(14,12," f8");
			disptext(15,12," f9");
			disptext(16,12,"f10");
			disptext(17,12,"f11");
			disptext(18,12,"f12");
			disptext(19,12," F1");
			disptext(20,12," F2");
			disptext(21,12," F3");
			disptext(22,12," F4");
			disptext(23,12," F5");
			disptext(24,12," F6");
			disptext(25,12," F7");
			swplane(0);
		}
		else
		{	swplane(2);
			bar_on(0,400,623,400);
			bar_on(0,415,623,415);
			bar_on(624,0,624,399);
			bar_on(639,0,639,399);
			bar_on(624,415,639,400);
			swplane(3);
			bar_on(624,415,639,400);
		}
#ifdef LTP_X11    /***** for X11 we need to erase the text area *****/
                swplane(0);
                bar_off( 0,415, 639, 479 );
#endif
	}
	return(0);
}
