/*******************************************************************************
*       sleep_ltp       (see manual, Internal Functions)                <in>   *
*        Sleeps for fractional seconds                                         *
*                                                                              *
*        parameters:  double tm      fractional time to sleep (.001 sec res)   *
*                                                                              *
*        Returns zero upon normal end-of-job (EOJ).                            *
*                      j.dabritz  7/30/90                                      *
*******************************************************************************/

#include "../../incl/globals.h"

long sleep_ltp(tm)
	double tm;
{	
	double finish;
	double check;
#ifdef SV32
	long i;

	finish = tm + 0.9;
	i = finish;
	sleep(i);
#else
	time_ltp(&check); 
	for(finish = check + tm;  check <= finish; time_ltp(&check))
		sleep(0);
#endif

	return(0);
}
