/*******************************************************************************
*       std_header     (see manual, Internal Functions)                <in>   *
*		This program places a standard printfile header in the string parameter*
*                                                                              *
*       Parameters 	a string pointer in which to write a header line       *
*                                                                              *
*       Global variables changed:  none                                        *
*                                                                              *
*	value returned:	the string pointer.                                    *
*                      j.dabritz  8/11/89                                      *
*******************************************************************************/

#include "../../incl/globals.h"  /*  <stdio.h> & all LTP defines & globals  */
#include <string.h>
#include <time.h>

char *std_header(string)
char *string;
{
	long clock;
	struct tm *tm_date;

	char *lognm;

		/************** build file header string  **********************/
	time( &clock );
	tm_date = localtime( &clock );
	if( (lognm = (char *) getlogin()) == (char *) NULL)	/*  get user login  */
		strcpy(lognm, "unknown");
	sprintf(string, 
		"Map: %s      %d/%d/%d, %d:%d:%d      LTPlus V %.2f     User:  %s\n",
		map_name,tm_date->tm_mon + 1, tm_date->tm_mday, tm_date->tm_year,
		tm_date->tm_hour, tm_date->tm_min, tm_date->tm_sec,
		ltp_version, lognm );

		/************** return *****************************************/
	return(string);
}
