/*******************************************************************************
*	writea		(see manual, Internal Functions)         	<in>   *
*			Writes a string to an ascii file.                      *
*			                                                       *
*			Returns zero upon normal end-of-job (EOJ), else        *
*			returns -1 upon error.                                 *
*			HLM&JPD030789					       *
*******************************************************************************/
#include <string.h>
#include <stdio.h>

int writea( string, fd  )
	char *string;	
	int   fd;
{
/*  Locals  */
	long bytes;
	extern int errno;
	char mstring[256];

/*  Calculate number of bytes to write then write them */

	errno = 0;
	bytes = strlen(string);
	if( write( fd, string, bytes ) == -1 )
	{	sprintf(mstring,"writea, unable to write string.  errno = %d",errno);
		message(mstring);
		return(-1);
	}
	return(0);
}
