#include <pwd.h>
#define SYSNM 17

long user_list(names)
	char names[64][32];
{
	long i, j;
	struct passwd *pw;
	static char sys_name[][16] = {"root", "sysadm", "backup", "cron",
		"bin", "uucp", "asg", "sysinfo", "network", "lp", "dos",
		"daemon", "sys", "adm", "nuucp", "sync", "install" };
	
/*** Read the passwd file and select off the "non-system" logins ***/
	for( i = 0; (pw = (struct passwd *)getpwent()); )
	{	for( j = 0; j < SYSNM; j++)
			if( !strcmp(pw->pw_name, sys_name[j]) )
				break;
			/*** Store login in names array ***/
		if( j == SYSNM )
			strcpy(names[i++], pw->pw_name);
	}
	names[i][0] = 0;		/* NULL terminate list */
	return(0);
}
